M3 Sonar
Multibeam sonar
Reference Manual
Release 1.9

This manual provides you with reference information required to operate and fully understand the commands, menus, modes and options provided by the Kongsberg M3 Sonar Multibeam sonar.

922-10017001/1.9
April 2024 © Kongsberg Maritime AS


About this manual
The purpose of this publication is to provide the descriptions, procedures and detailed parameter explanations required to allow for safe and efficient use of the M3 Sonar system. The publication also provides you with a thorough understanding of the parameters and adjustments provided by the M3 Sonar system.
Target audience
This publication is intended for all users of the M3 Sonar system. Due to the nature of the descriptions and the level of detail provided by this publication, it is well suited for those who are - or wish to be - expert users.
A good understanding of system functions and controls is essential to fully take advantage of the functionality provided. A careful study of the information in this manual is highly recommended, preferably while exploring the functionality offered by the M3 Sonar system.
We assume that you are familiar with the basic acoustic principles of sound in water. We also expect that you have some experience with sonar operation.
License information
The M3 Software is included with the M3 Sonar system and updates are available free of charge.
Software version
This M3 Sonar Reference Manual complies with M3 software version 2.5.4.
Registered trademarks
Observe the registered trademarks that apply.
Windows® is a registered trademark of Microsoft Corporation in the United States and other countries.
M3 Sonar® is a registered trademark of Kongsberg Discovery Canada Limited in the United States and other countries.
We want your feedback
We always want to improve our products. We also want our end-user documentation to be comprehensive and relevant. You can help. Please provide comments, suggestions or constructive criticism to our support office. You can contact us by phone at +1 604 464 8144, or by email at: support.vancouver@kd.kongsberg.com.


M3 Sonar
Topics
System description
System diagram
System units
Support information


System description
The Kongsberg Discovery M3 Sonar is a compact, versatile multibeam sonar.
Multibeam sonars have an array of transducers that simultaneously transmits pings (sound pulses) at a specified frequency to cover a large area in less time than a single-beam transducer. To generate data, computer software assigns a colour range corresponding to the amount of sound reflected off a target. The distance to the target is determined by the length of time it took to receive the transmitted acoustic pulse.
By combining the high refresh rate of a conventional multibeam sonar with an image quality comparable to a single-beam sonar, the M3 Sonar provides high-resolution images that are easy to interpret. The M3 Sonar detects objects out to 150 metres and has a 120° to 140° field of view, allowing you to see the full underwater picture in real-time.
The M3 Sonar provides wide-angle full-range situational awareness and concurrent ultra-short range imaging with dynamic focusing. For optimized obstacle avoidance, the M3 Sonar uses variable vertical beamwidth.


System diagram
The system diagram identifies the main components of a basic M3 Sonar system. Only the main connections between the units are shown. Detailed interface capabilities and power cables are not shown.
A Sonar Processor
B Power supply
C M3 Sonar Head


System units
Topics
Sonar Processor
Power supply
Sonar Head


Sonar Processor
In this publication, the computer can also be referred to as the Processor Unit, and vice versa. The Sonar Processor contains the operational software, and offers the user interface that allows you to control the M3 Sonar. It is a vital part of the M3 Sonar system.
The Sonar Processor runs the M3 software that manages communication with the Sonar Head, performs all beamforming and image processing and presents the sonar imagery. The Sonar Processor communicates with the sonar through a standard Ethernet cable.
If you purchase a computer locally, make sure that the chosen model meets the functional and technical requirements. The computer must be designed for rugged use. The construction must be able to withstand the vibrations and movements of a vessel.
Related topics
Minimum computer requirements


Power supply
The Sonar Head requires a DC power supply to run.
Normally, the DC voltage is supplied in the location where the Sonar Head is mounted, such as on a remotely operated vehicle (ROV). A small DC switching supply can be used when running the system on a surface vessel.
A test cable and power supply is available for order as an accessory. The test power supply uses a 24 VDC switching power supply.
Related topics
Power requirements


Sonar Head
When deployed underwater, the Sonar Head transmits and receives acoustic pulses.
The Sonar Head includes transmit and receive transducers and the electronics to generate the transmit pulse and digitize the received signal. The sonar data is sent to the Sonar Processor using a standard Ethernet link.
Note
The Sonar Head’s black polyurethane transducer is delicate. Always keep the Guard Ring and protective cover over the transducer during installation and storage.
Several different M3 Sonar models are available – your model may differ from the one shown here. For example, there are models with different depth ratings and materials, as well as models that include an integrated sound velocity sensor or high-frequency transducer.
Related topics
Performance specifications
Mechanical specifications


Support information
If you need technical support for your M3 Sonar you must contact your local dealer, or our support department.
If you require maintenance or repair, contact your local dealer. You can contact us by phone at +1 604 464 8144, or by email at: support.vancouver@kd.kongsberg.com. If you need information about our other products, visit https://www.kongsberg.com/discovery/. On our website you will also find a list of our dealers and distributors.


Getting started
Topics
Turning the M3 Sonar system on and off
Starting normal operation


Turning the M3 Sonar system on and off
Topics
Turning on the M3 Sonar system
Turning off the M3 Sonar system


Starting normal operation
Topics
Introduction to the basic procedures
Setting the Sonar Processor to High Performance
Restoring USB Driver Functionality in Windows 10
Installing the M3 software
Defining the IP address on the computer's network adapter
Changing the frequency
Testing operation of the Sonar Head
Testing the Sonar Head telemetry
Testing 1PPS Time Sync Mode


Introduction to the basic procedures
Once you have powered up the complete M3 Sonar system, and started the M3 Sonar program, you are ready to start the actual operation.
Observe these brief procedures to familiarize yourself with the basic operation.
When starting up, the M3 Sonar will automatically apply its previous settings. The procedures are partly provided to get you acquainted with the basic functionality offered by the M3 Sonar, and partly to set up the M3 Sonar for normal use. If you already know the current operational settings are acceptable, you may not need to do any of these procedures.


Operating procedures
Topics
Setting up and running the sonar
Saving and recalling screen captures
Using sonar view overlays
Configuring the Sonar Head


Setting up and running the sonar
Topics
Starting operation of the Sonar Head
Configuring your preferences
Choosing the sonar range
Choosing a sonar application
Adjusting the sonar view
Applying filters
Adjusting the TVG (Time Variable Gain) setting
Setting up external sensors
Defining a custom sensor
Controlling the rotator
Setting up dual M3 Sonars


Saving and recalling screen captures
Topics
Saving and retrieving images
Recording sonar data
Playing back a recording
Converting your recording format
Converting your recordings to video
Saving GeoTiff files


Using sonar view overlays
Topics
Measuring distances
Measuring angles
Defining an area
Placing text labels
Placing reference cursors
Placing target markers


Configuring the Sonar Head
Topics
Upgrading the Sonar Head
Changing the Sonar Head IP Address


User interface
Topics
Presentation overview
The M3 software menu system
Sonar view
3D Point Cloud
Tool bar description
Status bar


Presentation overview
By default, the display presentation covers the entire screen.
This M3 Sonar screen capture shows you a typical data replay situation.
The presentation provides you with a lot of information. The sonar view presents sonar echo data. The 3D Point Cloud presents profile point data that can be rotated in three dimensions. The menu system on the top gives you easy access to all the functionality offered by the M3 software. The tool bar provides buttons for functions, filters, and sonar view overlays. The bottom Output Messages window and bottom status bar provide diagnostic messages.
You can resize a window by clicking on the window border, then dragging it to create a smaller or larger window. Click the pin icon on the window title bar to auto hide the window. To show the window, hover your mouse over the labelled tab that appears on the side of the presentation.
A Menu system
The menu system is located on the top of the presentation. To open any of the menus, click the menu title.
B 3D Point Cloud
Profiling mode allows you to view a real-time 3D point cloud of the sea bottom or structures under the water. You can zoom into or rotate the real-time 3D point cloud data, as well as switch to a project, top, or side view.
C Range slider bar
When the sonar is running, you can increase or decrease the range using the range slider bar to the left of the sonar view. Click the top arrows to increase or decrease the far range.
D Profiling Settings
In the Profiling Settings dialog box, you can choose to display only the sonar view, only the 3D Point Cloud, or both. The profile point data can be exported to a file so that third-party software can extract depth, distance, and volume measurements.
E Output Messages
The Output Messages window displays information, diagnostic, and error messages. There are two tabs in this window: one for host messages and one for head messages.
F Sonar view
All echo information offered by the M3 Sonar is shown in the sonar view.
G Tool bar
The tool bar provides access to useful functions, such as the ability to take a screenshot or change your TVG settings. In addition, several measuring tools are available.
H Information Widget
The Information Widget displays sonar pulse details as well as vessel speed, sound speed, heading, and latitude/longitude coordinates from external sensors.
I Menu Widget
The Menu Widget provides controls to record and export data, play or pause playback, and configure the grid.
J Display Widget
The Display Widget allows you to adjust the filter strength, change the display gain, and choose your echo colours. If you have a high-frequency M3 Sonar transducer, you can change the frequency using the Display Widget.
K Playback Console
Control playback using the Playback Console. You can stop, pause, fast forward, or advance through the recording one ping at a time. You can also repeat playback of the file on a never-ending loop.
L Status bar
The status bar is located at the bottom of the M3 Sonar presentation. It allows you to view the system status and disk space. You can also access detailed telemetry info.


The M3 software menu system
The menu system is located on the top of the presentation. To open any of the menus, click the menu title.
To select operational parameters on the M3 Sonar, use the menu system. The menus are organized in a tree structure. Some of the menu items open dialog boxes to offer additional choices.
A The File menu allows you to open a recorded file, as well as choose the recording and exporting formats of your data files. You can also load your user settings from a previous software version.
B Use the Display menu to control the visual aspects of the system, and to show or hide various elements in the presentation.
C You can connect to the Sonar Head using the Setup menu. You can also configure the system, choose your preferences, set up the coordinate system, upgrade the Sonar Head firmware, or change the Sonar Head IP Address.
D The Sonar Applications menu lists various operating modes used for different applications. Each mode has its own pre-defined characteristics, such as differing ranges, angular resolutions, and pulse types. You can configure which applications will appear by opening the Customize Apps dialog box, which is the last item in this list. All Sonar Applications menu items will be greyed out until the sonar is running. The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency.
E The Advanced menu is intended for experienced users or for testing purposes and is not required for normal operation of the M3 Sonar. This menu requires a software license key, and will not appear if you do not have one.
F The Help menu allows you to view hardware and software information in the About M3 dialog box. You can also open the M3 Sonar Reference Manual from this menu.


Sonar view
All echo information offered by the M3 Sonar is shown in the sonar view.
Description
The range and bearing or X/Y coordinates of the current mouse cursor position is shown at the bottom of the sonar view.
Click the icon in the top-left corner of the sonar view to open the Information Widget. The Information Widget displays sonar pulse details as well as vessel speed, sound speed, heading, and latitude/longitude coordinates from external sensors.
Click the icon in the bottom-right corner of the sonar view to open the Display Widget. The Display Widget allows you to adjust the filter strength, change the display gain, and choose your echo colours.
Right-click inside the sonar view to display the range menu. You can increase or decrease the range using the range slider bar to the left of the sonar view. Enabling Depth Tracking will automatically adjust the range according to the current depth when the head is running. To enable this feature, select the Depth Tracking checkbox in the Profiling Settings dialog box.
Tip
You can change the shape of the grid (range rings), or turn it off. Click the icon in the top-right corner of the sonar view to open the Menu Widget, then click Grid to cycle through the options.
You can change the physical size of the sonar view by clicking on the left view border, then dragging it to create a smaller or larger window. You can also make the sonar view full screen by clicking Display→Full Screen or by clicking the Show Full Screen button in the tool bar.
Topics
Interpreting the sonar view
Noise and interference


Interpreting the sonar view
The sonar view is a map of the echo returns over the scanned area.
A sequence of colours is used to show the relative strengths of the echo returns. Several colour scale options are available. Most of them use darker colours to indicate weak returns, and brighter colours to indicate stronger returns.
Bright spots in the image indicate strong sonar targets. Generally, bright spots indicate a hard, highly reflective surface. Dark spots in the image indicate either areas of low reflectivity (soft areas), or possibly an acoustic shadow zone behind a target.
Most targets will block the transmission of sound — either by reflecting it, or absorbing it. This will leave a shadowed area behind the target that is not ensonified and therefore will not generate any echoes. This is very similar to the shadow formed when an object is illuminated with a single light source. The shadow behind a target can often yield more information about the target than the reflections from the target itself. The shadow will often reveal the shape of the target, but you must remember that the shape will usually be distorted according to the position of the Sonar Head relative to the target and the bottom, and according to the slope of the bottom. It is often possible to estimate the height of a bottom target based on the length of the shadow and the known height of the Sonar Head.


Noise and interference
Acoustic noise and bubble interference can affect the quality of the sonar view image.
It is usually easy to recognize interference from other acoustic sources such as echo sounders, pingers, and other sonars. These sources all produce pulses at regularly timed intervals and will therefore tend to create a regular or symmetrical pattern of blips on the screen. Mechanical noise sources such as propellers, hydraulic pumps, and thrusters, are usually more directional and tend to show up only when the sonar is pointed directly at them.
In addition, sonar signals are easily blocked by air or gas bubbles in the water or on the transducer face. As an example, the aeration present in the wake of a vessel will often last for ten to twenty minutes and effectively mask out most sonar returns on the far side. The aeration partially blocks the outgoing pulses as well as any returns. Another source of gas bubbles can be found when a sea bottom containing decomposing organic matter is disturbed by dredging or ploughing.


3D Point Cloud
The 3D Point Cloud presents profile point data that can be rotated in three dimensions.
Description
Profiling mode allows you to view a real-time 3D point cloud of the sea bottom or structures under the water. The profile point data can be exported to a file so that third-party software can extract depth, distance, and volume measurements.
Tip
In the Profiling Settings dialog box, you can choose to display only the sonar view, only the 3D Point Cloud, or both. If you can’t see the 3D Point Cloud, ensure that either Image and Profile or Profile Only are selected. You can also change the point cloud display parameters in this dialog box.
To change the depth range settings in the 3D Point Cloud window, click Depth, uncheck the Adaptive Palette box, enter the top and bottom depth, then click Apply. To change the colour scale of the 3D Point Cloud, click Depth, check the Adaptive Palette box, then click Apply.
The following controls can be used in the 3D Point Cloud window.
• Use the mouse scroll wheel to zoom in or out.
• To rotate the point cloud, press and hold the left mouse button, then move the mouse.
• To clear the point cloud, double click the right mouse button.
The following buttons, found in the top-right corner of the 3D Point Cloud window, offer different views and measurements. The currently selected view or tool will be underlined.
A Project view: An isometric view where you can rotate the point cloud in three dimensions.
B Top view: A top-down view where you can measure distances or place target markers.
C Side view: You can see the elevation of the points in the side view.
D Marker: Click to select this tool in the Top view, then click anywhere in the 3D Point Cloud window to place a target marker overlay. You can place as many markers as you need.
Note
Georeference information on each marker will be added to a “.kml” file in the folder “C:\KML\M3_V0254\Recordings”.
E Tape Measure: Click to select this tool in the Top view, then click and hold the left mouse button and drag the mouse to measure distances.
Related topics
Profiling Settings dialog box


Tool bar description
The tool bar provides buttons for functions, filters, and sonar view overlays.
The tool bar provides access to useful functions, such as the ability to take a screenshot or change your TVG settings. In addition, several measuring tools are available.
A Arrow
Click to use the default arrow cursor. With the default cursor you can select and manipulate objects on the screen.
B Wiper
Removes items from the sonar view. When selected, click on each overlay you wish to delete.
C Zoom windows
You can open up to four true zoom windows when running a Sonar Head.
D Tape Measure
Measures distances on the sonar view. Also allows you to place a measurement overlay on the sonar view.
E Protractor
You can use the protractor to measure the angle between two lines, then place the resulting overlay in the sonar view.
F String Measure
You can use the string measure tool to define an area. The size and perimeter of the area will be calculated for you.
G Text Label
The text label tool allows you to place comments on the screen.
H Reference Cursor 1
I Reference Cursor 2
You can place one or two reference cursors as overlays on the sonar view. When you place two cursors, an additional overlay will appear with information about the cursors.
J Image Quality Analysis System
The Image Quality Analysis System (IQAS) analyzes the image quality of a point target, or can be used to measure a known point target against a specification.
K Y1
Horizontal line overlay that can be used to mark the depth of the natural seabed (for use when excavating).
L Y2
Horizontal line overlay that can be used to mark the depth of a trenching target (for use when excavating).
M Show Full Screen
Click Full Screen to make the sonar view full screen. Press the Esc key to exit full-screen mode.
N Save image with overlays
Click this button to save sonar view images, including any overlays you’ve placed in the sonar views.
O Save image without overlays
Click this button to save sonar view images, excluding any overlays you’ve placed in the sonar views.
P TVG Setup dialog box
TVG (Time Variable Gain) compensates for the loss of acoustic energy due to geometric spreading and absorption.
Q Average Filter
Clicking the “A” button will enable the Average Filter. This filter reduces noise. Slow-moving features persist on-screen.
R Background Removal
Clicking the “B” button will enable the Background Removal filter. This filter removes stationary parts of the background to enhance moving objects (such as fish, for example).
S Edge Enhancement
Clicking the “E” button will enable Edge Enhancement. This filter enhances the edge of moving features.
T No Filter
Disables any filters. The sonar view will display an unfiltered sonar image.


Status bar
The status bar is located at the bottom of the M3 Sonar presentation. It allows you to view the system status and disk space. If network logging is enabled, you can view the sonar connection performance. You can also access detailed telemetry info.
A Recording information
Displays the filename when you are recording data.
B Depth Tracking
If Depth Tracking is enabled, then this text will appear when the head is running.
C Time synchronization status
Displays the status of the time synchronization process if Host Time Sync Mode is enabled. “Syncing” displays during time synchronization (which takes approximately two minutes). “Sync OK” displays when time synchronization is complete. “Sync Error” displays if the computer clock is irregular (for example, due to interference from the time source). In this case, restart the synchronization process by disconnecting, then reconnecting, the Sonar Head.
D Sound Speed
The sound speed is displayed in green (after filtering and thresholding). This text will display in blue during playback if Override Sound Speed is enabled.
E GeoTiff
If GeoTiffs are automatically being created, then this text will display in green.
F Disk space monitor
Displays the percentage of hard drive space you have available for data recordings.
G System status
Shows the system status, such as “Active” when the system is connected to a Sonar Head, “Inactive” when not connected, or “Playback” when replaying a recorded file. Clicking the system status text will open a Connection Status window. You can click on M3 Sonar in the Connection Status window to open a Head Status window showing telemetry information.
H Sonar connection performance
If network logging is enabled in the System Configuration dialog box, then the ping loss, packet loss, and the last ping data rate will be displayed.
I Offsets
If Mounting Offsets Override is enabled then this text will appear during playback.
Tip
Right-click on the status bar to configure it. You can show or hide any of the information displayed here.
Related topics
Recording sonar data
System Configuration dialog box - Master Reference page
System Configuration dialog box - Mounting Offsets page
Saving GeoTiff files
System Configuration dialog box - Sonar Setup page
Starting operation of the Sonar Head


Menu system
Topics
File menu
Display menu
Setup menu
Sonar Applications menu
Advanced menu
Help menu


File menu
The File menu allows you to open a recorded file, as well as choose the recording and exporting formats of your data files. You can also load your user settings from a previous software version.
How to open
To open this menu, click the menu title.
Description
• Playback
The Playback mode allows you to choose the echo data file(s) you wish to play back.
• Stop Playback
Clicking Stop Playback will stop the playback of a recording. You can also use the Playback Console to control playback.
• Recording Format
Click Recording Format to choose between recording raw sonar data (to a “.mmb” file) or recording beamformed sonar data (to a “.imb” file).
• Exporting Format
You can choose the exporting format for sonar data. The default “.all” format is the Kongsberg EM datagram standard and can be processed by third-party software.
• Load User Settings
Click to browse for a “UsersInfo.xml” file (in the folder C:\KML\M3_V0254\bin\Settings) from a previous software version. You can import your previous settings to a new version of the M3 software.
• Convert to Video
The Convert to Video Format dialog box allows you to convert an MMB or IMB file to a video file (MP4 format only).
• Exit
Select Exit to close the M3 software.


Display menu
Use the Display menu to control the visual aspects of the system, and to show or hide various elements in the presentation.
How to open
To open this menu, click the menu title.
Description
• Enable Target Marker
Click to enable the Target Marker function. You can press 0–9 to place a marker in the sonar view that is stamped with time and location information. In addition, you can export this information to a serial or UDP port.
• Delete All Markers
Click to remove all target markers from the sonar view.
• Full Screen
Click Full Screen to make the sonar view full screen. Press the Esc key to exit full-screen mode.
• Output Messages window
Click to show or hide the Output Messages window. The Output Messages window displays information, diagnostic, and error messages.
• Playback Console
Click to show or hide the Playback Console. Control playback using the Playback Console. You can stop, pause, fast forward, or advance through the recording one ping at a time. You can also repeat playback of the file on a never-ending loop.
• 3D Point Cloud
Click to show or hide the 3D Point Cloud window. The 3D Point Cloud presents profile point data that can be rotated in three dimensions.
• Profiling Settings
Click to show or hide the Profiling Settings dialog box. Profiling mode allows you to view a real-time 3D point cloud of the sea bottom or structures under the water.
• Rotator Control
Click to show or hide the Rotator Control dialog box for each rotator you have installed.
• Tool bar
Click to show or hide the tool bar. The tool bar provides buttons for functions, filters, and sonar view overlays.
• Annotations
Click Annotations to enable or disable the bearing and range annotations in the sonar view.
• Font Size
You can choose between using a normal or a large font size throughout the M3 software.
• Palette
Select Palette to choose your preferred echo colours. Which colour scale to use is mainly a personal preference based on ambient light conditions, the nature of the echoes and your own experience.
• Sector Orientation
Enter an angle (in degrees) into the Orientation dialog box, then click Apply to rotate the sonar view to your chosen angle.
• Heading Overlay
If your Sonar Head is forward looking, click Heading Overlay to enable or disable this feature. When this feature is enabled, the degree annotations in the sonar view will change to reflect the current sonar heading.
• Speckle Filter
Click Speckle Filter to enable or disable this function. This filter reduces noise (the grainy “salt-and-pepper” pattern) in uniform areas of the sonar view. Distinguishable details in features and targets will be retained.
• Sidelobe Reduction
Click Sidelobe Reduction to enable or disable automatic sidelobe reduction. This function improves overall image quality by reducing the sidelobes of strong targets. Sidelobe reduction is especially useful at short ranges when targets are very close. In addition, the automatic adjustments work well when the sonar is constantly moving, such as on an ROV.
Tip
If you have a software license for advanced features, you can view the automatically-calculated sidelobe reduction ratio or manually adjust the ratio using a slider.
• Reset to Default Layout
Click to reset the presentation layout. All windows and dialog boxes will be docked in their default location. In addition, some display elements are hidden by default.


Setup menu
You can connect to the Sonar Head using the Setup menu. You can also configure the system, choose your preferences, set up the coordinate system, upgrade the Sonar Head firmware, or change the Sonar Head IP Address.
How to open
To open this menu, click the menu title.
Description
• Connect
Click Connect to connect to the Sonar Head and start “pinging”.
Note
When the Sonar Head is running, this menu command will change to Disconnect.
• Define Custom Sensor
Click to open the Define Custom Sensor dialog box. If the sensor protocol you want to use is not available on the Sensors Setup page, you can create a custom sensor format in the Define Custom Sensor dialog box.
• Geo Projection
Click to open the Geo Projection dialog box. You can configure the coordinate system using the Geo Projection dialog box.
• Preferences
Select to open the Preferences dialog box. The Preferences dialog box is used to set up system preferences such as units of measure, time format, etc.
• Head Network Setup
Click to open the Head Network Setup dialog box. The Head Network Setup dialog box allows you to change the Sonar Head network parameters, such as the IP address. This dialog box is only available when the Sonar Head is connected and paused.
• Head Firmware Configuration
Click to open the Head Firmware Configuration dialog box. The Head Firmware Configuration dialog box allows you to upgrade the Sonar Head firmware. This dialog box is only available when the Sonar Head is connected and paused.
• System Configuration
Click to open the System Configuration dialog box. This dialog box allows you to set up the Sonar Head, external sensors (such as a GPS or Motion Reference Unit), and rotators. In addition, you can configure the deployment of the M3 Sonar and enter mounting offsets.


Sonar Applications menu
The Sonar Applications menu lists various operating modes used for different applications. Each mode has its own pre-defined characteristics, such as differing ranges, angular resolutions, and pulse types.
Note
You cannot select a sonar application until the Sonar Head is connected. All Sonar Applications menu items will be greyed out until the sonar is running.
The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency. The M3 software will automatically detect the frequency of your Sonar Head and display only the applicable sonar applications.
How to open
To open this menu, click the menu title.
The following sonar applications are available when using a 500-kHz Sonar Head transducer.
Description
• EIQ
This sonar application captures high-quality images. At short ranges the images are relatively insensitive to the motion of the sonar. At longer ranges the sonar should be relatively motionless.
Note
This application is less sensitive to motion than EIQ - Fine.
• EIQ - Fine
This sonar application captures very high-quality images. At short ranges the images are relatively insensitive to the motion of the sonar. At longer ranges the sonar should be relatively motionless.
• EIQ - Ultra Fine
This sonar application captures the highest quality images possible. At short ranges the images are relatively insensitive to the motion of the sonar. At longer ranges the sonar should be relatively motionless.
• Ethernet Test - 1000Mbps
You can test your 1000Mbps link to verify that the link throughput is available. The test uses 80 percent utilization and uses EIQ - Ultra Fine.
• Ethernet Test - 100Mbps
You can test your 100-Mbps link to make sure that the link throughput is available. The test uses 80 percent utilization and uses EIQ.
• Ethernet Test - 10Mbps
You can test your 10-Mbps link to make sure that the link throughput is available. The test uses 80 percent utilization and uses Imaging 30.
• Imaging 15
You can use this sonar application for navigation and obstacle avoidance. This application uses a 15-degree Tx vertical beamwidth.
• Imaging 3
Use this sonar application primarily for profiling using a 3-degree Tx vertical beamwidth. You may also use this application for shallow-water obstacle avoidance.
• Imaging 30
You can use this sonar application for navigation and obstacle avoidance. This application uses a 30-degree Tx vertical beamwidth.
• Imaging 30 - Short Range
You can use this sonar application for the support of manipulator operations, with the highest-speed short-range imaging. Speed and detail are more important than overall image quality.
• Imaging 7
You can use this sonar application to provide long-range obstacle avoidance and navigation into the work site. This application uses the highest pulse power. Pulse durations are used to get a reliable long-range detection. The trade-off is a reduction in the ping rate.
• Profiling
Use this sonar application for the automated point extraction of the sea bottom or structures to create a real-time 3D Point Cloud. The Profiling application has a slow ping repetition rate and is best suited for slow-moving ROVs, trenchers, and ploughs.
• Profiling - Bathy
This sonar application is ideal for Bathymetry Surveys.
• Profiling - Dual Head Master
You can use this profiling sonar application to generate an alternating sequence of pings and external trigger events. This sequence is used to implement alternate pinging in a dual-head profiling system.
• Profiling - Dual Head Slave
You can use this profiling sonar application to generate an alternating sequence of pings and external trigger events. This sequence is used to implement alternate pinging in a dual-head profiling system.
• Profiling - Fast
This sonar application performs using much higher ping rates than the normal Profiling application. This application is ideal for surface-vessel surveys.
• ROV Navigation
This sonar application automatically switches between EIQ - Fine, EIQ, and Imaging 30 applications. EIQ - Fine is used to provide the highest-resolution images with a good image update rate at short ranges. EIQ is used for medium ranges. Imaging 30 is used for long ranges.
• Rub Test
Use this sonar application as part of a system test to make sure that the transducer is receiving a signal. Rub the transducer and make sure that bright streaks or rings appear in the sonar view.
• Customize Apps
Click to open the Customize Apps dialog box. You can select which sonar applications will appear in the Sonar Apps menu.
The following sonar applications are available only when using a high-frequency Sonar Head (such as a 700-kHz to 1400-kHz transducer, for example).
In addition, some of the sonar applications listed above are also available when using a high-frequency Sonar Head, but not all.
• Imaging
You can use this sonar application for navigation and obstacle avoidance. This application uses a 30-degree Tx vertical beamwidth.
• Imaging Enhanced
Use this sonar application for imaging or obstacle avoidance using one of the eIQ elements. This application uses a Time Delay FFT beamformer to produce a high-quality image.
• Profiling - HiRes
Use this sonar application if you have a high-frequency Sonar Head and require a higher horizontal beam resolution. This profiling mode uses the maximum number of beams (512) but has a slower ping rate as it uses more computational power. High-resolution profiling is ideal for applications such as pipeline inspections, fish behaviour studies, and gas plume detections.
Related topics
Choosing a sonar application


Advanced menu
The Advanced menu is intended for experienced users or for testing purposes and is not required for normal operation of the M3 Sonar. This menu requires a software license key, and will not appear if you do not have one.
How to open
To open this menu, click the menu title.
Description
• Power User Settings
Click to open the Power User Settings dialog box. The Power User Settings dialog box allows you to configure advanced controls. You can also override the beamlist or processing type during playback. The Ping Rate, Update Rate, and Mode ID are displayed for your information.
• Program Head
Click to open the Program Head dialog box. You can perform advanced tasks in the Program Head dialog box, such as configuring production settings, making head corrections, or changing transmit pulse definitions. This dialog box is only available when the Sonar Head is connected and paused.
• Convert to Profile
Click to open the Profile Batch Conversion dialog box. The Profile Batch Conversion dialog box allows you to convert many data files at once into another format. You can convert “.mmb”, “.imb”, and “.pmb” files.
• Raw Data Frequency Spectrum
Click to open the Raw Data Spectrum window. The Raw Data Spectrum window allows you to find and observe any noise in the data.
• Enable Network Sniffer
Click to open the Network Sniffer window. The Network Sniffer window allows you to monitor network traffic in real-time. When this feature is enabled, the menu option will change to Disable Network Sniffer.
Note
To use this feature, you must run the M3 software as an administrator (right-click on the icon and select Run as administrator).


Help menu
The Help menu allows you to view hardware and software information in the About M3 dialog box. You can also open the M3 Sonar Reference Manual from this menu.
How to open
To open this menu, click the menu title.
Description
About M3
The About dialog box identifies the current software version. The version described in this publication is 2.5.4.
User Manual
Click User Manual to open the M3 Sonar Reference Manual in PDF format. This manual is only applicable to the software version you are using. If you are using an older version of software, it will not be the latest version.
Tip
Contact your local dealer or distributor for the latest software versions, and download the latest manuals from https://www.kongsbergdiscovery.net/ .


Functions and dialog boxes
Topics
File menu
Display menu
Setup menu
Sonar Applications menu
Advanced menu
Help menu
Tool bar description


File menu
The File menu allows you to open a recorded file, as well as choose the recording and exporting formats of your data files. You can also load your user settings from a previous software version.
How to open
To open this menu, click the menu title.
Description
• Playback
The Playback mode allows you to choose the echo data file(s) you wish to play back.
• Stop Playback
Clicking Stop Playback will stop the playback of a recording. You can also use the Playback Console to control playback.
• Recording Format
Click Recording Format to choose between recording raw sonar data (to a “.mmb” file) or recording beamformed sonar data (to a “.imb” file).
• Exporting Format
You can choose the exporting format for sonar data. The default “.all” format is the Kongsberg EM datagram standard and can be processed by third-party software.
• Load User Settings
Click to browse for a “UsersInfo.xml” file (in the folder C:\KML\M3_V0254\bin\Settings) from a previous software version. You can import your previous settings to a new version of the M3 software.
• Convert to Video
The Convert to Video Format dialog box allows you to convert an MMB or IMB file to a video file (MP4 format only).
• Exit
Select Exit to close the M3 software.
Topics
Recording Format
Exporting Format
Convert to Video Format dialog box


Recording Format
Click Recording Format to choose between recording raw sonar data (to a “.mmb” file) or recording beamformed sonar data (to a “.imb” file).
The following processed data output formats are available.
.mmb
.mmb is the default recommended recording format.
This is raw element data, not beamformed, in a 16-bit fixed-point complex format. This format allows great flexibility in how the data is processed and allows you to do your own beamforming or profile-point extraction. The data body size is determined by the number of elements and the number of samples.
If you want to keep your recordings in .mmb format but process your data in .imb format, you can convert .mmb files to .imb files using a batch conversion utility.
.imb
This format consists of beamformed data.
You can choose between a 32-bit floating point complex or 8-bit integer magnitude format. Select the 8-bit format only if you are interested in imaging pixel data and want a reduced data file size. The 8-bit format takes up a quarter of the 32-bit format's size.
Data body size is determined by the number of beams and samples. Different modes may form a different number of beams. Therefore, data body size may change depending upon the mode.
.imb files are easier to work with when using the M3 Sonar MATLAB toolbox and can be used with third-party software, such as Echoview.
Note
If files are recorded in .imb format, they cannot be converted to .mmb.
Related topics
Recording sonar data
Converting your recording format


Exporting Format
You can choose the exporting format for sonar data. The default “.all” format is the Kongsberg EM datagram standard and can be processed by third-party software.
.xyz
This is an ASCII point cloud format for M3 rotator 3D profiling data on a tripod only.
.all (recommended default)
This M3 profiling data format uses the Kongsberg EM datagram standard. The “.all” file can be processed by third-party software such as Hypack, QINSy, Caris, and EIVA.


Convert to Video Format dialog box
The Convert to Video Format dialog box allows you to convert an MMB or IMB file to a video file (MP4 format only).
How to open
This dialog box is opened from the File menu.
Description
Use this dialog box if you want to export a recording to a format that is playable by any media player. This function is useful if you wish to share recordings with others who do not have the M3 software installed on their computers, or if you wish to upload your recording to an online service.
Details
Frame Rate
• Match Ping Rate
Select if you want the converted video frame time to match the ping time.
• One Frame per Ping
Select if you want each video frame to be converted from each sonar ping.
Gain Control
• Auto
Select to automatically adjust the gain during the video conversion.
• Manual
Select to apply a fixed gain setting to the entire video. Use this setting when auto gain produces a video that is either too dark or too bright for a particular data set. Click and drag the slider to choose the gain setting.
Resolution
You can select the desired resolution for the converted video. Note that higher resolutions require longer conversion times and result in larger file sizes.
Note
Due to space limitations, text overlays will not be included when converting to a resolution of 640x480p (the Display Overlay Text checkbox will not appear). Select a higher resolution if you wish to include text overlays.
Quality
Select your video quality. A higher quality produces a video with a higher bit rate and less compression. The result is a better-looking video, but a larger file size. If storage space is a concern, choosing a lower quality will produce smaller files.
Palette
Select your preferred echo colours for the converted video file. Which colour scale to use is mainly a personal preference based on ambient light conditions, the nature of the echoes and your own experience.
Display Grid
You can choose whether to show the grid (range rings) in the video. You can also select the desired grid shape.
Date/Time
You can choose whether to display Coordinated Universal Time (UTC) Time or Local Time in the Information Widget in the sonar view.
Note
During the winter, Local Time equals standard time. During the summer, Local Time equals Daylight Saving Time (DST). Note that the offset between Local Time and UTC Time is not constant, but varies in locations where DST is used.
Display Position
You can choose whether the video will display your position coordinates in the Information Widget in the sonar view. You can also choose whether to display latitude and longitude coordinates (geographic system) or a Northing/Easting projection (projected coordinate system).
Display Filter
You can choose whether to apply a filter to the sonar view video. You can select which type of filter to apply. Drag the slider to increase or decrease the strength of the filter.
Display Mirror
Select this checkbox to mirror the sonar image in the converted video file (port to starboard, starboard to port).
Display Sensor Data
Select this checkbox to show sensor data in the Information Widget in the sonar view.
Display Overlay Text
Select this checkbox to show text overlays. To create text overlays for your video, click Setup→Preferences and fill out the Overlay Text boxes.
Sidelobe Suppression
Select this checkbox to enable the Sidelobe Reduction function for your video. This function improves overall image quality by reducing the sidelobes of strong targets. Sidelobe reduction is especially useful at short ranges when targets are very close.
Folder Conversion
Select this checkbox to perform a batch conversion of all sonar recordings in a selected folder. If you select this option, you will not be able to change the name of the converted files. Auto Name will be selected under the Target file naming convention drop-down list and the other options will not be available.
Note
The Source File button will change to Source Folder. An additional progress bar will appear at the bottom of the dialog box to show you how many files are being converted.
Source File/Source Folder
Click this button to select a recording or a folder for conversion (only .mmb or .imb files are supported).
Max File Size
Long data recordings will produce very large file sizes. Select the maximum file size for your video files.
If the maximum file size is reached, but the data conversion is not finished yet, a new file will be created. Each filename created for the converted recording will be given a unique filename with a sequential number.
Target Folder
Click this button to open a browser window where you can select a location for the converted video file(s).
Target file naming convention
Select a name for the converted file. Selecting Auto name will preserve the original filename and save the converted file in the same location as the original. Selecting User defined will allow you to enter your own filename into the Target File box. There are also some predefined filenames available.
Target File
Click this button to select a filename and location for the converted video file. This button is only available if you select User defined for the Target file naming convention.
Convert
Click this button to start the conversion.
Note
The range annotations (metres or feet) displayed in the converted video file will be the same as currently configured in the M3 software. You can change the units of measurement in the Preferences dialog box.
Related topics
Playing back a recording
Converting your recordings to video


Display menu
Use the Display menu to control the visual aspects of the system, and to show or hide various elements in the presentation.
How to open
To open this menu, click the menu title.
Description
• Enable Target Marker
Click to enable the Target Marker function. You can press 0–9 to place a marker in the sonar view that is stamped with time and location information. In addition, you can export this information to a serial or UDP port.
• Delete All Markers
Click to remove all target markers from the sonar view.
• Full Screen
Click Full Screen to make the sonar view full screen. Press the Esc key to exit full-screen mode.
• Output Messages window
Click to show or hide the Output Messages window. The Output Messages window displays information, diagnostic, and error messages.
• Playback Console
Click to show or hide the Playback Console. Control playback using the Playback Console. You can stop, pause, fast forward, or advance through the recording one ping at a time. You can also repeat playback of the file on a never-ending loop.
• 3D Point Cloud
Click to show or hide the 3D Point Cloud window. The 3D Point Cloud presents profile point data that can be rotated in three dimensions.
• Profiling Settings
Click to show or hide the Profiling Settings dialog box. Profiling mode allows you to view a real-time 3D point cloud of the sea bottom or structures under the water.
• Rotator Control
Click to show or hide the Rotator Control dialog box for each rotator you have installed.
• Tool bar
Click to show or hide the tool bar. The tool bar provides buttons for functions, filters, and sonar view overlays.
• Annotations
Click Annotations to enable or disable the bearing and range annotations in the sonar view.
• Font Size
You can choose between using a normal or a large font size throughout the M3 software.
• Palette
Select Palette to choose your preferred echo colours. Which colour scale to use is mainly a personal preference based on ambient light conditions, the nature of the echoes and your own experience.
• Sector Orientation
Enter an angle (in degrees) into the Orientation dialog box, then click Apply to rotate the sonar view to your chosen angle.
• Heading Overlay
If your Sonar Head is forward looking, click Heading Overlay to enable or disable this feature. When this feature is enabled, the degree annotations in the sonar view will change to reflect the current sonar heading.
• Speckle Filter
Click Speckle Filter to enable or disable this function. This filter reduces noise (the grainy “salt-and-pepper” pattern) in uniform areas of the sonar view. Distinguishable details in features and targets will be retained.
• Sidelobe Reduction
Click Sidelobe Reduction to enable or disable automatic sidelobe reduction. This function improves overall image quality by reducing the sidelobes of strong targets. Sidelobe reduction is especially useful at short ranges when targets are very close. In addition, the automatic adjustments work well when the sonar is constantly moving, such as on an ROV.
Tip
If you have a software license for advanced features, you can view the automatically-calculated sidelobe reduction ratio or manually adjust the ratio using a slider.
• Reset to Default Layout
Click to reset the presentation layout. All windows and dialog boxes will be docked in their default location. In addition, some display elements are hidden by default.
Topics
Target Marker Export dialog box
Playback Console
Profiling Settings dialog box


Target Marker Export dialog box
The Target Marker function is primarily used for remotely operated vehicle (ROV) navigation. Third-party ROV software can use the time and location information to steer the ROV toward the target.
How to open
This dialog box is opened from the Display menu.
Description
You can place a marker on a target of interest in the sonar view. This marker is stamped with both time and location details. You can export this time and location information to a serial port (or UDP port 20004).
To start using target markers, click Display→Enable Target Marker.
The Target Marker Export dialog box opens when you enable the Target Marker function.
Choose a serial port in the Target Marker Export dialog box, then click OK to enable serial port export. Click Cancel to use the Target Marker function without exporting to a serial port. UDP export is available in both cases.
Once the Target Marker function is enabled, pressing number keys 0 to 9 will place a marker at the location of the arrow cursor in the sonar view.
Details
Port
Select which serial port you want to export the time and location information to.
Serial port parameters
The serial port parameters are fixed and cannot be changed. Ensure that your third-party software is set to receive the data using these values.
• Baud Rate
9600
The speed of the serial communication.
• Data Bits
8
The number of data bits in each character.
• Parity
N
If required, a parity bit is used in a simple error detection algorithm for a serial port.
• Stop Bits
1
This parameter is used to indicate the end of the transmission. It is usually set to 1.
Target Marker format
$MSTRK,xx,hhmmss.ss,nnnnnnnn.nn,c,eeeeeeee.ee,c,U<CR><LF>
$MSTRK | Start character and prefix.
xx | Target number, ranging from 00 to 99.
hhmmss.ss | UTC time in hours, minutes, and seconds.
nnnnnnnn.nn | Northing or Latitude depends on the “U” definition.
c | N: North; S: South
eeeeeeee.ee | Easting or Longitude depends on the “U” definition.
c | E: East; W: West
U
‘f’: Northing/Easting in feet. Variable number of digits for Northing/Easting and variable number of digits for decimal-fraction of Northing/Easting.
‘m’: Northing/Easting in metres. Variable number of digits for Northing/Easting and variable number of digits for decimal-fraction of Northing/Easting.
‘l’: Lat/Lon in degrees. For Latitude: two fixed digits of Latitude degrees, two fixed digits of minutes, and a variable number of digits for decimal-fraction of minutes. For Longitude: three fixed digits of Longitude degrees, two fixed digits of minutes, and a variable number of digits for decimal-fraction of minutes.
CRLF | Termination
Related topics
Placing target markers


Playback Console
You can play back a previously recorded data file to view the sonar image sequence captured during operation of the Sonar Head. Control playback using the Playback Console.
How to open
The Playback Console is opened from the Display menu. The Playback Console is also opened automatically when you choose a file for playback.
Description
A The name of the playback file in use and the time and date of the recording.
B The playback progress bar. Click and hold, then drag your mouse along the bar to search through the recording. Click anywhere in the bar to jump to a specific point.
C Click to stop the recording.
D Click to pause the recording.
E Click to fast forward through the recording.
F Click to advance through the recording one ping at a time.
G Click to repeat playback of the file on a never-ending loop.
H Click to close the Playback Console. Closing the Console will not stop playback.
Related topics
Playing back a recording


Profiling Settings dialog box
Profiling mode allows you to view a real-time 3D point cloud of the sea bottom or structures under the water.
How to open
This dialog box is opened from the Display menu.
Description
In the Profiling Settings dialog box, you can choose to display only the sonar view, only the 3D Point Cloud, or both. The profile point data can be exported to a file so that third-party software can extract depth, distance, and volume measurements.
Details
Display Mode
• Image
Select if you want to update the sonar view only.
• Image and Profile
Select if you want to update both the sonar view and the 3D Point Cloud.
• Profile Only
Select if you want to display only the profile points in the sonar view and 3D Point Cloud.
Point Size
Select the size of the displayed profile points.
Algorithm
Select the profiling algorithm. The default setting is optimal for most conditions.
The Split Beam algorithm will improve point detection with sub-degree accuracy at a low grazing angle (but with the compromise of a lower ping rate).
Select the Structure algorithm for high-resolution structure inspections at short or medium ranges. For structure inspections, your sonar is usually orientated upward or looking sideways – this algorithm takes this orientation into account and adjusts the profiling points accordingly.
Point Selection
Select which profile points to display. You can choose to display only the points closest to the sonar transducer origin, or only the points with the strongest signal returns.
Parameters
• Max Depth
Drag the slider to set the upper depth limit of the profile points. No profile points will be detected above this depth.
A red line overlay will appear in the sonar view to indicate the max depth (view the result in the 3D Point Cloud window).
• Min Depth
Drag the slider to set the lower depth limit of the profile points. No profile points will be detected below this depth.
A green line overlay will appear in the sonar view to indicate the min depth (view the result in the 3D Point Cloud window).
• Clutter Suppression
This feature removes the number of detected noise profile points. If the box is unchecked, the system will automatically adjust the clutter suppression. You can choose your own clutter suppression percentage by checking the box and dragging the slider. Setting the suppression to zero will disable this feature. Setting the suppression to 100 will suppress all noise detections.
• Max Sector
Drag the slider to set the upper angle limit of the profile points. No profile points will be detected above this angle.
• Min Sector
Drag the slider to set the lower angle limit of the profile points. No profile points will be detected below this angle.
Depth Tracking
Check this box to automatically adjust the range according to the current depth when the head is running. This feature is only available if Image and Profile or Profile Only is selected for the Display Mode.
Note
When the head is running, the estimated depth below the Sonar Head is shown in real time. During playback, the recorded depth is shown.
Related topics
3D Point Cloud


Setup menu
You can connect to the Sonar Head using the Setup menu. You can also configure the system, choose your preferences, set up the coordinate system, upgrade the Sonar Head firmware, or change the Sonar Head IP Address.
How to open
To open this menu, click the menu title.
Description
• Connect
Click Connect to connect to the Sonar Head and start “pinging”.
Note
When the Sonar Head is running, this menu command will change to Disconnect.
• Define Custom Sensor
Click to open the Define Custom Sensor dialog box. If the sensor protocol you want to use is not available on the Sensors Setup page, you can create a custom sensor format in the Define Custom Sensor dialog box.
• Geo Projection
Click to open the Geo Projection dialog box. You can configure the coordinate system using the Geo Projection dialog box.
• Preferences
Select to open the Preferences dialog box. The Preferences dialog box is used to set up system preferences such as units of measure, time format, etc.
• Head Network Setup
Click to open the Head Network Setup dialog box. The Head Network Setup dialog box allows you to change the Sonar Head network parameters, such as the IP address. This dialog box is only available when the Sonar Head is connected and paused.
• Head Firmware Configuration
Click to open the Head Firmware Configuration dialog box. The Head Firmware Configuration dialog box allows you to upgrade the Sonar Head firmware. This dialog box is only available when the Sonar Head is connected and paused.
• System Configuration
Click to open the System Configuration dialog box. This dialog box allows you to set up the Sonar Head, external sensors (such as a GPS or Motion Reference Unit), and rotators. In addition, you can configure the deployment of the M3 Sonar and enter mounting offsets.
Topics
Define Custom Sensor dialog box
Geo Projection dialog box
Preferences dialog
Head Network Setup dialog box
Head Firmware Configuration dialog box
System Configuration dialog box - Sonar Setup page
System Configuration dialog box - Sensors Setup page
System Configuration dialog box - Rotators Setup page
System Configuration dialog box - Master Reference page
System Configuration dialog box - Mounting Offsets page


Define Custom Sensor dialog box
If the sensor protocol you want to use is not available on the Sensors Setup page, you can create a custom sensor format in the Define Custom Sensor dialog box.
How to open
This dialog box is opened from the Setup menu.
Description
Many third-party sensors or ROV systems export sensor strings through a UDP or serial connection. These sensor strings include various data types such as position, heading, depth, pressure, altitude, pitch, roll, and water temperature. The third-party sensor string may not conform to the universal NMEA standard and will change depending on the sensor or ROV manufacturer.
You will find many supported sensor formats in the Protocol drop-down list found on the Sensors Setup page in the System Configuration dialog box. However, if a particular third-party sensor format is not listed there, you can create it (using the third-party sensor specification as your guide).
Note
After you are done creating the custom sensor format, it will appear in the Protocol drop-down list on the Sensors Setup page.
The sensor string is comprised of a sentence with defined parts: Message ID + Sensor Format and Delimiters + Termination.
Details
Message ID
The start (prefix) of the sensor sentence. Refer to the manufacturer's sensor specification to determine what to use. For example, “:” or “$GPRMC”.
Delimiter(s)
The character used to separate each string in the sentence. You can select more than one if necessary - each character will be treated as one delimiter. Refer to the manufacturer's sensor specification to determine what to use.
Termination
The ASCII character that tells the software where the sensor string ends. Options include a carriage return (CR), line feed (LF), or both. Refer to the manufacturer's sensor specification to determine what to use.
Sensor Format
Define the entire sensor string in this field.
Enter the Message ID, followed by the chosen delimiter. Enter in one or more of the three-letter definition strings from the list on the right side of the dialog box. Match each three-letter string with the data type in the sensor specification. For example, enter "ALT" for the part of the sensor sentence corresponding to Altitude, and so on. Separate each string with the chosen delimiters. If you can't find any part of the sensor sentence on the right-side list, then enter the "Ignored field" string (III). This will tell the software to skip over this part of the sensor sentence when parsing the string.
For example: “: ALT DEP HDG ROL PIT” defines a sensor sentence with the Message ID “:” and five fields for Altitude, Depth, Heading, Roll, and Pitch separated by space delimiters.
Data Type
If the data type in the sensor sentence is an integer (for example, 1002), then select Whole number. If the data type in the sensor sentence is a float (for example, 10.02), then select Decimal number. Refer to the manufacturer's sensor specification to determine what to use.
Latitude / Longitude Format
Choose whether to display the latitude/longitude format in degrees, degrees and minutes, or degrees, minutes, and seconds.
Unit Scale Factor
The dialog box will tell you what unit scale the software expects (meters, degrees, meters per second, and so on). If the data type in the specification does not match the required unit scale, you must enter an appropriate scaling factor. For example, if the Depth data type is in feet, then you must enter 0.3048 to scale the depth value to meters.
Sensor Name
This name will appear in the Protocol drop-down list found on the Sensors Setup page in the System Configuration dialog box.
Related topics
Defining a custom sensor


Geo Projection dialog box
You can configure the coordinate system using the Geo Projection dialog box.
How to open
This dialog box is opened from the Setup menu.
Description
This dialog box allows you to convert the latitude and longitude data from your GPS into a coordinate system of your choice. For example, you may wish to match the coordinate system used in your survey maps. You can display location data as Easting and Northing coordinates measured from a horizontal datum. You can also set the zone so that accurate location data is embedded in any GeoTiff files that you create.
Details
Datum
• Latitude / Longitude
Select a datum for latitude and longitude coordinates (geographic system).
• Northing / Easting
Select a datum for a Northing/Easting projection (projected coordinate system).
• Zone
Select a zone for a Northing/Easting projection.
• Display Coords In
Choose which coordinate format you want to use in the sonar view when displaying location information.
• Latitude / Longitude Format
Choose whether to display the latitude/longitude format in degrees, degrees and minutes, or degrees, minutes, and seconds.
• Datum Parameters
The Datum Parameters button will become available when selecting the BEIJING_1954 datum. Clicking the Datum Parameters button will open a dialog box with a number of fields specific to this datum.
Calculator
You can use the calculator as a tool to convert your location from one coordinate system to another.


Preferences dialog
The Preferences dialog box is used to set up system preferences such as units of measure, time format, etc. This dialog box also allows you to select the save location for screenshot images and recorded sonar data files.
How to open
This dialog box is opened from the Setup menu.
Description
The Preferences dialog box allows you to customize the software. In addition, you can configure features such as GeoTiff Auto Save and UDP Data Export. You can also configure unique file names and save locations.
Details
Units
• Meters
Select to display all units of measurement in meters.
• Feet
Select to display all units of measurement in feet.
Cursor Options
• Range / Bearing
Select to show the range and bearing of the current mouse position at the bottom of the sonar view.
• X / Y
Select to show the X and Y coordinates of the current mouse position at the bottom of the sonar view.
• Geographic
Check this box if you want to display the coordinates of the mouse position at the bottom of the sonar view.
Tip
You can configure the coordinate system using the Geo Projection dialog box.
Time System
• Local Time
Select to use the current time at your location.
• UTC Time
Select to use Coordinated Universal Time (UTC).
Note
During the winter, Local Time equals standard time. During the summer, Local Time equals Daylight Saving Time (DST). Note that the offset between Local Time and UTC Time is not constant, but varies in locations where DST is used.
Overlay Text
Fill out the Overlay Text boxes if you wish to display information on your screenshots and data recordings.
File Saving
• Prompt User for Filename
Check this box to open a “Save As” dialog box when you record data or save an image.
• Export Sensor Data
Check this box to save timestamped sensor data to a text file (in CSV format). When this feature is enabled, a text file will be created every time the sonar runs or a recording is played back. The text file is saved in the Recordings folder shown in this dialog box. If you export a recording to video, then the text file will be saved in the Target Folder shown in the Convert to Video Format dialog box.
Tip
If you need to troubleshoot sensor data logging issues, you can compare the sensor data text file to the NAV file provided by a survey or ROV on-board the vessel.
• Name
Type any name into the text box. The chosen name will be used as prefix in all the data file names. The time/date stamp will be used as the filename if the name field is left blank.
• Use C:\KML\M3_V0254
Check this box to use the default location when saving files. Disable this setting if you want to choose alternative save locations. The Browse buttons will become available.
GeoTiff Auto Save
• Distance / Time
To automatically save a GeoTiff file every set number of meters, select Distance and enter a value. To automatically save a GeoTiff file every set number of seconds, select Time and enter a value.
Tip
Press F11 to enable or disable GeoTiff auto save. The status bar will display “GeoTiff” in green when auto save is enabled.
• Cropped Width
To save a cropped GeoTiff image for mosaicking purposes, enter the percentage to crop.
UDP Data Export
• Export to File
Check this box to save export data to a file on the local hard drive.
• Port for .ALL format
Enter the UDP port for exporting .ALL data. You need to configure this port if you are interfacing with third-party software.
• Remote IP Address
Enter the IP Address of the computer you wish to export the profile data to.
– To disable data export, enter 0.0.0.0.
– To broadcast, enter 255.255.255.255.
– To use the local computer, enter 127.0.0.1 (for example, if your third-party software is installed on the same computer as the M3 software.
Related topics
Configuring your preferences


Head Network Setup dialog box
The Head Network Setup dialog box allows you to change the Sonar Head network parameters, such as the IP address.
How to open
This dialog box is opened from the Setup menu.
Note
This dialog box is only available when the Sonar Head is connected and paused. To pause the Sonar Head, click Setup→Connect, then open the Menu Widget in the top-right corner of the sonar view. Click Pause.
Description
You can program the IP address and the IP port of the Sonar Head for various network environments. The factory default IP address is 192.168.1.234, and the default port number is 30.
To change the Sonar Head IP address, click Read from Head to get the information from the Sonar Head. Edit the fields, then click Write to Head.
Details
Head Name
The name assigned to the Sonar Head. You cannot change this parameter — it is read only.
Serial Number
The unique serial number of the Sonar Head. You cannot change this parameter — it is read only.
Automatic IP address allocation
Determines whether the Sonar Head can be assigned an IP address from a DHCP Server. By default, the Sonar Head uses a static IP address. You cannot change this parameter — it is read only.
VDSL Profile
The VDSL2 standard defines various profiles that can optimize the data rate and link performance on cables of different quality and lengths. For longer cables, you may wish to use a profile with a lower bandwidth, such as profile 0 (8b) or 1 (12a).
The following profiles are available:
• 0 (8b): Suitable for long or low-quality cables, but has a slower data rate.
• 1 (12a): A good compromise for medium-length cables, or cables that are of marginal quality, and provides a medium-speed data rate.
• 2 (30a): Suitable for short cables. Provides a fast data rate.
• 3 (30a): Provides the fastest data rate but is only suitable for very short cables.
Note
The maximum achievable data rate depends on a number of factors, such as cable length, the number of junctions, and your slip ring installation. You can measure the link speed by performing the “Testing the Sonar Head telemetry” procedure.
VDSL SNR Margin
The VDSL Signal to Noise Ratio (SNR) Margin controls the amount of noise and tolerance in the cable. It is the difference between the actual SNR and the minimal SNR required to sync at a specific speed. For longer cables, use 6 dB instead of 9 dB.
IP Address, Port, Subnet Mask, and Default Gateway
These network parameters are used to identify and locate the Sonar Head on the local network. If you need to set up a unique network environment, you can change the IP Address, Port, Subnet Mask, and Default Gateway of the Sonar Head using the Head Network Setup dialog box.
Note
Your Sonar Processor must be on the same network as the Sonar Head.
Get Default
Click this button to populate the fields with the default network settings for the Sonar Head.
Write to Head
Click this button to re-program the Sonar Head with the parameters that you have entered.
Read from Head
Click this button to populate the fields with the current parameter values.
Related topics
Changing the Sonar Head IP Address
Testing the Sonar Head telemetry


Head Firmware Configuration dialog box
The Head Firmware Configuration dialog box allows you to upgrade the Sonar Head firmware.
How to open
This dialog box is opened from the Setup menu.
Note
This dialog box is only available when the Sonar Head is connected and paused. To pause the Sonar Head, click Setup→Connect, then open the Menu Widget in the top-right corner of the sonar view. Click Pause.
Description
In addition to head application software, the Sonar Head has receive firmware (RX FPGA) and transmit firmware (TX FPGA). You can upgrade these by selecting the configuration type, browsing for the file, then clicking the Write button.
Note
The receive hardware (RX HW) and software (RX SW) must both be on the same version. You can view the current version numbers in this dialog box.
Details
Head
The Head table shows you the serial number and IP Address of the Sonar Head.
Configuration type
Select the type of software or firmware that you are upgrading.
Configuration file
Click the folder icon to browse for the latest software or firmware file on your local drive.
Read
Enter a filename in the Configuration file box, then click Read to save the firmware or software to a file. You can create a backup of your current software or firmware with this feature.
Write
Click this button to start the upgrade process. You will be prompted to confirm the upgrade.
Related topics
Upgrading the Sonar Head


System Configuration dialog box - Sonar Setup page
You can discover and connect to the Sonar Head on the Sonar Setup page. You can also view the Sonar Head network properties and adjust the network link speed.
How to open
This dialog box is opened from the Setup menu.
Select the Devices→Sonar Setup tab.
Note
This page is not available while the Sonar Head is running.
Description
This dialog box allows you to connect to the Sonar Head. You can connect manually or automatically each time you start the software. This dialog box also provides diagnostic network tools.
Details
Device Properties
Tip
You do not have to enter in the Device Properties manually. Clicking Discover Sonar Heads, then Use Discovered Head will automatically populate the Device Properties fields.
• Head Name
You can enter any name to identify the Sonar Head.
• Serial Number
The unique serial number of the Sonar Head.
• IP Address, Port, Subnet Mask, and Default Gateway
These network parameters are used to identify and locate the Sonar Head on the local network. Your Sonar Processor must be on the same network as the Sonar Head.
Tip
If you need to set up a unique network environment, you can change the IP Address, Port, Subnet Mask, and Default Gateway of the Sonar Head using the Head Network Setup dialog box.
• Trigger Mode
If applicable, set the Trigger mode to synchronize the Sonar Head with another acoustic device (such as a second M3 Sonar Head or a sub-bottom profiler). Set the trigger mode to Master to send out a sync pulse so that the other acoustic device can be triggered. Set the trigger mode to Slave to be triggered by the sync pulse from the other device. For the M3 Sonar, the default is set to Master.
• Time Sync Mode
Time synchronization is critical for Bathymetry applications. By default, the M3 software uses the computer’s time to set the Sonar Head clock (Host mode). Your computer can keep accurate time by using a GPS or network time server as the master time source. When connecting to the Sonar Head, it takes two minutes to synchronize the time to within five milliseconds. The M3 software will then continuously keep the Sonar Head clock in sync for the duration of the session. The status bar shows the time synchronization status.
If you have an M3 Sonar Head with a 1PPS connector, you can synchronize the Sonar Head clock with an external 1PPS source.
Get Default
Click this button to use the default network settings to connect to a Sonar Head.
Autoconnect at program start
Check this box to connect to the Sonar Head automatically the next time the software starts.
Override Network Link Speed
If telemetry quality is poor, you can limit the network link speed. Be default, the network link speed is limited to 100 Mbps. There are no standard sonar applications with a telemetry-link speed requirement higher than 100 Mbps.
Note
Overriding the network link speed will provide a more stable link connection, but a slower ping rate.
Network log level
This setting outputs network-related diagnostic messages to the Output Messages window and a “.log” file (found in the LOGS directory) for troubleshooting purposes. You can select the amount of detail provided, ranging from none (No logging) to high (Detailed info). When logging is enabled, ping loss, packet loss and the last ping data rate will be displayed on the status bar.
Discover Sonar Heads
Click Discover Sonar Heads to search for the sonar on the network.
Use Discovered Head
Click Use Discovered Head to connect to the discovered head.
Related topics
Starting operation of the Sonar Head
Testing operation of the Sonar Head


System Configuration dialog box - Sensors Setup page
The Sensors Setup page allows you to configure external sensors (such as a GPS to provide navigation information).
How to open
This dialog box is opened from the Setup menu.
Select the Devices→Sensors Setup tab.
Note
This page is not available while the Sonar Head is running.
Description
If you have external sensors that provide speed, heading, or latitude/longitude coordinates, then this dialog box allows you to set them up. Readings from these sensors will appear in the Information Widget located in the sonar view.
Details
Add Device
Click this button to add a sensor for data import.
Remove Device
Click this button to remove the selected sensor from the Sensor Devices list.
Test Device
Click this button to start a sensor test. The sensor data will be displayed in the Port Monitor box.
Device Properties
• Name
Enter any name into this field to label the device.
• Protocol
This drop-down lists all supported datagram formats.
• Port Location
The location of the port receiving external sensor data – can be a COM port, a UDP Ethernet port, or a port on the Sonar Head.
• Port#
This drop-down lists the available port numbers. Select the port where the device is connected.
• Baud Rate
Specify the baud rate (“speed”) for the serial communication. The standard baud rate defined for NMEA communication is 4800.
• Data Bits
Select the number of data bits for the serial communication.
Note
The standard number of data bits defined for NMEA serial line communication is 8 (eight).
• Parity
Specify the parity for the serial communication.
Note
If required, a parity bit is used in a simple error detection algorithm for a serial port. Standard parity defined for NMEA serial line communication is "None".
• Stop Bits
This parameter is used to indicate the end of the transmission. It is usually set to 1.
• Interface
This drop-down lists possible serial communication methods.
Related topics
System Configuration dialog box - Master Reference page


System Configuration dialog box - Rotators Setup page
Rotators are required if you wish to pan or tilt the M3 Sonar during operation. Use the Rotators Setup page to set up and test your rotators.
How to open
This dialog box is opened from the Setup menu.
Select the Devices→Rotators Setup tab.
Note
This page is not available while the Sonar Head is running.
Description
The M3 software supports the following rotators.
• Kongsberg OE 10-102: Dual-Axes Pan and Tilt unit
• Kongsberg OE10-103: Single-Axis Pan unit
• Kongsberg Discovery 806-00480000 (SS350): Single-Axis high-precision Pan unit
You must connect your rotator to a PC COM port.
Details
Add Device
Click this button to add a rotator.
Remove Device
Click this button to remove the selected rotator from the Rotators list.
Test Device
Click this button to open the Rotator Test dialog box.
Device Properties
• Name
Enter any name into this field to label the device.
• Unit
Select the rotator model you have from the list.
• Device Axis
Select one sonar axis if you are using a single-axis unit, or select two sonar axes for a dual-axes unit.
There are three possible sonar axes. To view the orientation of each axis, click System Configuration→Deployment→Mounting Offsets and select each axis in the Rotators section. Observe the animation to see the rotation of each axis.
• Port Location
Select which port the rotator is connected to — can either be a COM port or a Sonar port.
• Port#
This drop-down lists the available port numbers. Select the port where the device is connected.
• Baud Rate
Specify the baud rate (“speed”) for the serial communication.
• Data Bits
Select the number of data bits for the serial communication.
• Parity
Specify the parity for the serial communication.
Note
If required, a parity bit is used in a simple error detection algorithm for a serial port.
• Stop Bits
This parameter is used to indicate the end of the transmission. It is usually set to 1.
• DeviceCommID
The rotator manufacturer assigns this network identifier for communication between the rotator and the software. The default for newer rotator models is “3”. The default for older rotator models is “2”. If you are experiencing communication problems with your rotator, make sure that you have selected the correct ID for your model.
Topics
Rotator Test dialog box


Rotator Test dialog box
Test your rotators in this dialog box by making sure you can connect to the rotator and send commands to it.
How to open
This dialog box is opened from the Rotators Setup page in the System Configuration dialog box.
Click the Test Device button to open this dialog box.
Description
Use this dialog box to test the rotator rotation speed, rotator movement, and pan and tilt operation (for dual-axes rotators). If you are using a single-axis rotator, you can choose the type of rotator control dialog box you will see when running the sonar (3D Scan or Pan/Tilt Control).
If you have selected a single-axis rotator, then the following dialog box is used.
Note
This dialog box shows the options for the Kongsberg OE10-103. The Kongsberg Discovery 806-00480000 (SS350) is similar, except a Calibrate button appears. You must click this button to correctly align the rotator after powering down and powering up (this rotator does not keep absolute zero indexing). In addition, there is no option to set up soft stops (this rotator has fixed hard and soft stops).
If you have selected a dual-axes rotator, then the following dialog box is used.
Details
Connect
Click this button to connect to the rotator.
Disconnect
Click this button to disconnect from the rotator.
Current Position
Shows the current rotator position in degrees.
A Calibrate button will appear here if you are using the Kongsberg Discovery 806-00480000 (SS350) rotator. Click this button to reset the zero index after powering down then powering up.
Directional Move
For single-axis rotators, use the Speed control to set the rotator rotation speed. Click and hold the Go Up button to move the rotator up. Click and hold the Go Down button to move the rotator down. Check the Reverse Rotator Direction box if your rotator has been installed in a reversed position.
If you have a dual-axes rotator, you will be presented with arrow icons. Click the up and down arrow icons to tilt up or down. Click the left and right arrows to pan left or right. Check the Switch Axes box to invert the controls so that the up/down arrows are used to pan and the left/right arrows are used to tilt. You can adjust the tilt and pan speeds by dragging the sliders. Check the Reversed Tilt Rotator Direction box if your rotator is installed with the tilt axis reversed. Check the Reversed Pan Rotator Direction box if your rotator is installed with the pan axis reversed.
Soft Stops
Check the Use Soft Stops box to use a software function to set the rotator stops, so that the rotator will not rotate beyond the stops during operation. To avoid hitting objects or twisting cables when rotating, hard stops (pins) are usually bolted onto the rotator mount to stop rotation at predefined positions. However, soft stops allow you to program the rotator stops in the M3 software to mitigate mechanical wear and avoid shearing the hard stops.
To set the soft stops, uncheck the Use Soft Stops box. Set up the soft stops by moving the rotator until it reaches the limit where the attached devices or cables still have clearance.
• Click the Go Up button/up arrow to move the rotator up to the desired position, then click the Set Up Stop button.
• Click the Go Down button/down arrow to move the rotator down to the desired position, then click the Set Down Stop button.
• Click the right arrow (dual-axes only) to move the rotator right to the desired position, then click the Set Right Stop button.
• Click the left arrow (dual-axes only) to move the rotator left to the desired position, then click the Set Left Stop button.
Re-check the Use Soft Stops box when you are done.
Positioning
You can use the positioning function to move the rotator to a specific position (in degrees). Use this function for precise and quick positioning instead of clicking the Go Up or Go Down buttons. Enter a degree in the To position field, then click Goto (single-axis only). You can also rotate in degree increments by entering a degree into the Step by size field, then clicking Step Up or Step Down to rotate to the next/previous increment.
If you have a dual-axes rotator, you can enter a degree into the Tilt to position or Pan to position fields, then click the associated button to move the Sonar Head to that position on the tilt or pan axis.
Click the Stop Move button to cancel the rotation.
Rotator Control Dialog Type
Set the Rotator Control Dialog Type before you start operation of the sonar.
Select 3D Scan if you have installed the Sonar Head to automatically scan a sector during operation, with the rotator sweeping the Sonar Head from one side of the sector to the other. Select Pan/Tilt Control if you wish to manually move the Sonar Head up, down, or sideways during operation.


System Configuration dialog box - Master Reference page
On the Master Reference page, you can assign any external sensors you have set up as the primary source for various types of navigational data.
How to open
This dialog box is opened from the Setup menu.
Select the Deployment→Master Reference tab.
Description
When using the M3 Sonar for imaging, set up sensors for Position and Heading if you want to create GeoTiff files or create a real-time mosaic.
When using the M3 Sonar for Bathymetry or Profiling, set up sensors for Position, Heading, Pitch/Roll, and Heave as a minimum.
If no sensor input is required for a particular reference, you may leave the value set to Fixed. For example, if the Sonar Head is mounted on a tripod with a known position, heading, and pitch/roll, these references will have fixed values. Also, sensor input may not be required for the M3 software if the sensors have been set up in third-party software. When setting a value to Fixed, you can enter the fixed value into the adjacent text box.
Details
Configuration
Select the desired configuration from the drop-down list. Click New to create a new configuration based on the default settings. Click Save As to save the current configuration or Delete to delete the current configuration.
Master Reference
• Position
A location derived from measuring external reference points.
• Depth
The vertical distance downwards from the water surface.
• Heading
The direction in which a vessel is pointing, as opposed to the course made good.
• Magnetic Variation
If you are using a magnetic heading sensor, enter the local magnetic variation into the Magnetic Variation box to get true heading. This parameter can be changed while the Sonar Head is running.
• Pitch/Roll
Pitch is the up/down rotation of a vessel about its lateral axis. Roll is the tilting rotation of a vessel about its longitudinal axis.
• Heave
Heave is the linear vertical (up/down) motion of the vessel.
• Sound Speed
A sound speed sensor is required to accurately measure in-water speed near the Sonar Head. This parameter can be changed while the Sonar Head is running.
Note
Select IntegratedSVS only if you are using a Sonar Head with an integrated sound speed sensor.
Check the Override Sound Speed box if you want to replace the sound speed value in your recording with a fixed value during playback. This may be necessary, for example, if your recorded sound speed is not accurate. You can override the sound speed in .mmb files only.
• Altitude
Altitude is the vertical distance from the sensor to the seafloor. If you need the depth below the transducer, use the NMEA DBT datagram.
Related topics
System Configuration dialog box - Sensors Setup page


System Configuration dialog box - Mounting Offsets page
The mounting offsets are required to calibrate the position of the Sonar Head relative to the GPS antenna. If you have a rotator, you must calibrate the position of the rotator relative to the Sonar Head.
How to open
This dialog box is opened from the Setup menu.
Select the Deployment→Mounting Offsets tab.
Note
This page is not available while the Sonar Head is running.
Description
If you are mounting your M3 Sonar Head (on a Pole Mount for example), you will need to specify where the Sonar Head is positioned in three-dimensional space relative to the GPS antenna.
The reference point on the sonar is the centre of the long rectangular RX array.
Inaccurate mounting offsets will display your sonar data incorrectly in the 3D Point Cloud and sonar view.
Tip
If you have recorded your sonar data using the wrong offsets, you can still fix the offsets using this dialog box. Check the Override Mounting Parameters box to apply the correct mounting offsets to your recording.
Details
Mounting
• X Offset
X is defined as the Sonar Head relative to the GPS antenna across track. Port is negative and Starboard is positive.
• Y Offset
Y is defined as the Sonar Head relative to the GPS antenna along track. Aft is negative and Fore is positive.
• Z Offset
Z is defined as the Sonar Head relative to the GPS antenna’s vertical distance. Down is negative and Up is positive.
• Orientation
This drop-down list allows you to select a number of pre-configured Sonar Head orientations. Observe the animation to make sure your Sonar Head is facing in the correct direction for the selected orientation. The orientation depends on how you are using the M3 Sonar. For example, a forward-facing orientation can be used for obstacle avoidance on a remotely operated vehicle (ROV). A downward-facing orientation can be used for bathymetric surveying. An orientation that rolls sideways can be used to scan vertical structures. An upward-facing orientation can be used for scientific research, such as gas-seep monitoring. If you wish to create your own orientation, select Custom, then enter in the precise pitch, roll, and yaw angles of the Sonar Head position.
Tip
If images appear on the wrong side of the sonar view (for example, objects on the right appear on the left), then select one of the “Inverted” orientations.
Rotators
Select the rotator you wish to configure from the Rotators list. You can see which axis has been assigned to each rotator.
• Radius
The radius offset is necessary if your Sonar Head is attached to the rotator with an arm. The length of the arm can be entered as the radius.
• Angle
Entering an angle is not necessary if the transducer face of the Sonar Head is aligned with the rotator. However, if the Sonar Head is installed at an angle to the rotator, then enter that value here.
Override Mounting Parameters
Enabling this option will apply the current offsets on this page during playback instead of the offsets recorded in your data file. The offset override affects what you see during playback in the 3D Point Cloud, not the sonar view.
Tip
If you apply the offset override, playback a file, then re-record a new file during playback, the offsets will not be applied to the new re-recorded file (the new file will use the original offsets). However, if you export data to a third-party application in playback mode, the offset override will be applied to the exported data.
Related topics
System Configuration dialog box - Rotators Setup page


Sonar Applications menu
The Sonar Applications menu lists various operating modes used for different applications. Each mode has its own pre-defined characteristics, such as differing ranges, angular resolutions, and pulse types.
Note
You cannot select a sonar application until the Sonar Head is connected. All Sonar Applications menu items will be greyed out until the sonar is running.
The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency. The M3 software will automatically detect the frequency of your Sonar Head and display only the applicable sonar applications.
How to open
To open this menu, click the menu title.
The following sonar applications are available when using a 500-kHz Sonar Head transducer.
Description
• EIQ
This sonar application captures high-quality images. At short ranges the images are relatively insensitive to the motion of the sonar. At longer ranges the sonar should be relatively motionless.
Note
This application is less sensitive to motion than EIQ - Fine.
• EIQ - Fine
This sonar application captures very high-quality images. At short ranges the images are relatively insensitive to the motion of the sonar. At longer ranges the sonar should be relatively motionless.
• EIQ - Ultra Fine
This sonar application captures the highest quality images possible. At short ranges the images are relatively insensitive to the motion of the sonar. At longer ranges the sonar should be relatively motionless.
• Ethernet Test - 1000Mbps
You can test your 1000Mbps link to verify that the link throughput is available. The test uses 80 percent utilization and uses EIQ - Ultra Fine.
• Ethernet Test - 100Mbps
You can test your 100-Mbps link to make sure that the link throughput is available. The test uses 80 percent utilization and uses EIQ.
• Ethernet Test - 10Mbps
You can test your 10-Mbps link to make sure that the link throughput is available. The test uses 80 percent utilization and uses Imaging 30.
• Imaging 15
You can use this sonar application for navigation and obstacle avoidance. This application uses a 15-degree Tx vertical beamwidth.
• Imaging 3
Use this sonar application primarily for profiling using a 3-degree Tx vertical beamwidth. You may also use this application for shallow-water obstacle avoidance.
• Imaging 30
You can use this sonar application for navigation and obstacle avoidance. This application uses a 30-degree Tx vertical beamwidth.
• Imaging 30 - Short Range
You can use this sonar application for the support of manipulator operations, with the highest-speed short-range imaging. Speed and detail are more important than overall image quality.
• Imaging 7
You can use this sonar application to provide long-range obstacle avoidance and navigation into the work site. This application uses the highest pulse power. Pulse durations are used to get a reliable long-range detection. The trade-off is a reduction in the ping rate.
• Profiling
Use this sonar application for the automated point extraction of the sea bottom or structures to create a real-time 3D Point Cloud. The Profiling application has a slow ping repetition rate and is best suited for slow-moving ROVs, trenchers, and ploughs.
• Profiling - Bathy
This sonar application is ideal for Bathymetry Surveys.
• Profiling - Dual Head Master
You can use this profiling sonar application to generate an alternating sequence of pings and external trigger events. This sequence is used to implement alternate pinging in a dual-head profiling system.
• Profiling - Dual Head Slave
You can use this profiling sonar application to generate an alternating sequence of pings and external trigger events. This sequence is used to implement alternate pinging in a dual-head profiling system.
• Profiling - Fast
This sonar application performs using much higher ping rates than the normal Profiling application. This application is ideal for surface-vessel surveys.
• ROV Navigation
This sonar application automatically switches between EIQ - Fine, EIQ, and Imaging 30 applications. EIQ - Fine is used to provide the highest-resolution images with a good image update rate at short ranges. EIQ is used for medium ranges. Imaging 30 is used for long ranges.
• Rub Test
Use this sonar application as part of a system test to make sure that the transducer is receiving a signal. Rub the transducer and make sure that bright streaks or rings appear in the sonar view.
• Customize Apps
Click to open the Customize Apps dialog box. You can select which sonar applications will appear in the Sonar Apps menu.
The following sonar applications are available only when using a high-frequency Sonar Head (such as a 700-kHz to 1400-kHz transducer, for example).
In addition, some of the sonar applications listed above are also available when using a high-frequency Sonar Head, but not all.
• Imaging
You can use this sonar application for navigation and obstacle avoidance. This application uses a 30-degree Tx vertical beamwidth.
• Imaging Enhanced
Use this sonar application for imaging or obstacle avoidance using one of the eIQ elements. This application uses a Time Delay FFT beamformer to produce a high-quality image.
• Profiling - HiRes
Use this sonar application if you have a high-frequency Sonar Head and require a higher horizontal beam resolution. This profiling mode uses the maximum number of beams (512) but has a slower ping rate as it uses more computational power. High-resolution profiling is ideal for applications such as pipeline inspections, fish behaviour studies, and gas plume detections.
Topics
Enhanced Image Quality (EIQ)
Imaging
Profiling
ROV Navigation


Enhanced Image Quality (EIQ)
Enhanced Image Quality (EIQ) applications are intended for slower moving operations where the vehicle or vessel is moving slowly, or is stationary for at least a few seconds.
Description
The Fine EIQ applications overlap beams to improve image quality. EIQ uses four pings. EIQ - Fine uses eight pings. EIQ - Ultra Fine uses 12 pings. Note that the Fine EIQ applications have a slower sonar view refresh rate.
We recommend a maximum vessel speed of two knots for EIQ mode and 0.5 knots for EIQ - Fine mode.
Details
Sonar Application Names: | EIQ EIQ - Fine EIQ - Ultra Fine
Range: | 0.4 m to 150 m
Angular Resolution: | 0.95° x 30°
Pulse Type: | Continuous Wave and Linear FM (Chirp)


Imaging
Imaging applications provide long-range detection for monitoring and navigation.
Description
Imaging applications use the highest pulse power. They use pulse durations to get reliable long-range detection. The trade-off is a reduction in the ping rate, partially due to the long range, and partially to maintain power consumption within reasonable limits.
We recommend a maximum vessel speed of five knots for imaging applications.
Details
The following sonar applications are available when using a 500-kHz Sonar Head transducer.

Sonar Application Names: | Imaging 30 Imaging 15 Imaging 7 Imaging 3 Imaging 30 - Short Range
Range: | 0.2 m to 150 m
Angular Resolution: | 1.6° x 30° 1.6° x 15° 1.6° x 7° 1.6° x 3°
Pulse Type: | Continuous Wave and Linear FM (Chirp)
The following sonar applications are available only when using a high-frequency Sonar Head (such as a 700-kHz to 1400-kHz transducer, for example).

Sonar Application Names: | Imaging Imaging Enhanced
Range: | 0.2 m to 100 m
Angular Resolution: | 140°x30° (700 kHz) 140°x27° (950 kHz) 75°x21° (1200 kHz) 45°x18° (1400 kHz)
Pulse Type: | Continuous Wave and Linear FM (Chirp)


Profiling
Use this sonar application for the automated point extraction of the sea bottom or structures to create a real-time 3D Point Cloud.
Description
The Profiling application has a slow ping repetition rate and is best suited for slow-moving ROVs, trenchers, and ploughs. When recording data, the file size will be small. Use the Profiling application for very shallow depths. The Profiling - Bathy application is more versatile. This sonar application is ideal for Bathymetry Surveys. The Profiling - Fast application performs best at longer ranges (i.e. depths greater than 5 m). This sonar application performs using much higher ping rates than the normal Profiling application. This application is ideal for surface-vessel surveys.
Details
Sonar Application Names: | Profiling Profiling - Bathy (500-kHz transducer only) Profiling - Fast (500-kHz transducer only) Profiling - Dual Head Master (500-kHz transducer only) Profiling - Dual Head Slave (500-kHz transducer only) Profiling - HiRes (700-kHz to 1400-kHz transducer only)
Range: | 1 m to 150 m
Angular Resolution: | 1.6° x 3° 1.8° x 1° 1.8° x 2° 1.4° x 0.75° 1.4° x 1.5° 1.1° x 0.6° 1.1° x 1.2° 0.9° x 0.5° 0.9° x 1°
Pulse Type: | Continuous Wave and Linear FM (Chirp)


ROV Navigation
This sonar application automatically switches between EIQ - Fine, EIQ, and Imaging 30 applications.
Description
EIQ - Fine is used to provide the highest-resolution images with a good image update rate at short ranges. EIQ is used for medium ranges. Imaging 30 is used for long ranges.
Details
Sonar Application Name: | ROV Navigation
Range: | 0.4 m to 150 m
Angular Resolution: | 1.6° x 30°
Pulse Type: | Continuous Wave and Linear FM (Chirp)


Advanced menu
The Advanced menu is intended for experienced users or for testing purposes and is not required for normal operation of the M3 Sonar. This menu requires a software license key, and will not appear if you do not have one.
How to open
To open this menu, click the menu title.
Description
• Power User Settings
Click to open the Power User Settings dialog box. The Power User Settings dialog box allows you to configure advanced controls. You can also override the beamlist or processing type during playback. The Ping Rate, Update Rate, and Mode ID are displayed for your information.
• Program Head
Click to open the Program Head dialog box. You can perform advanced tasks in the Program Head dialog box, such as configuring production settings, making head corrections, or changing transmit pulse definitions. This dialog box is only available when the Sonar Head is connected and paused.
• Convert to Profile
Click to open the Profile Batch Conversion dialog box. The Profile Batch Conversion dialog box allows you to convert many data files at once into another format. You can convert “.mmb”, “.imb”, and “.pmb” files.
• Raw Data Frequency Spectrum
Click to open the Raw Data Spectrum window. The Raw Data Spectrum window allows you to find and observe any noise in the data.
• Enable Network Sniffer
Click to open the Network Sniffer window. The Network Sniffer window allows you to monitor network traffic in real-time. When this feature is enabled, the menu option will change to Disable Network Sniffer.
Note
To use this feature, you must run the M3 software as an administrator (right-click on the icon and select Run as administrator).
Topics
Power User Settings dialog box
Program Head dialog box - Production Config page
Program Head dialog box - Head Corrections page
Program Head dialog box - TX Pulse page
Profile Batch Conversion dialog box
Raw Data Spectrum window
Power User Settings XML file


Power User Settings dialog box
The Power User Settings dialog box allows you to configure advanced controls. You can also override the beamlist or processing type during playback. The Ping Rate, Update Rate, and Mode ID are displayed for your information.
How to open
This dialog box is opened from the Advanced menu.
Description
Use the Advanced Controls to configure special processes used during beamforming. Use the Playback Controls to override the fields of recorded “.mmb” data during playback. You can also view detailed system information for the current sonar application.
Details
Advanced Controls
• RX Amplitude and Phase Correction
This feature allows you to make sure the RX Amplitude and Phase Correction has been successfully written to the Sonar Head during production configuration. Unchecking this box will not apply the correction stored in the Sonar Head to the raw data before beamforming.
• Azimuth Processing
This feature allows you to make sure the raw data is received properly and to make sure there are no faulty elements in the transducer. Unchecking this box will display the range-compressed raw data in the sonar view with a range vs. element number instead of a range vs. beam angle. The beamforming processing (either the time-domain beamformer or the FFT beamformer) will not be applied.
• Range Processing
This feature, when used together with Azimuth Processing, allows you to see the unprocessed raw data received directly from the transducer. If the transmit pulse is an LFM pulse, unchecking this box will not apply range compression to the raw data before the beamforming processing.
• Sidelobe Reduction
This feature allows you to reduce the sidelobe for very bright targets in imaging applications (this feature is not recommended for profiling applications). Sidelobe reduction is especially useful at short ranges when targets are very close.
Note
If automatic sidelobe reduction is enabled in the Display menu, the slider will be greyed out and you can view the automatically-calculated sidelobe reduction ratio. If automatic sidelobe reduction is disabled in the Display menu, you can drag the slider to the right to manually increase sidelobe reduction. On the highest settings you may notice a black line appearing around the same range of the bright target.
Playback Controls
Note
You can also edit the Playback Controls settings in the “PowerUsersInfo.xml” file.
• Override Beamlist
This feature allows you to replace the beamlist of a recorded “.mmb” file with a new beamlist XML file. The recorded raw data will be beamformed based on the new beamlist. Checking the Override Beamlist box will enable the Beamlist File field. You can type in the beamlist file’s address or click the folder icon to browse for it.
• Override Processing Type
This feature allows you to switch between the time-domain beamformer and the FFT beamformer for profiling applications. Select the Profiling option when playing back an “.mmb” file (recorded using the Profiling - Fast or Profiling - Bathy sonar applications) to use the time-domain beamformer. Leave this setting as No to use the original processing type for beamforming in post processing.
System Information
• Ping Rate
The ping rate is determined either by the current sonar application, or calculated based on the network link speed.
• Update Rate
The update rate is the number of times the sonar view is updated per second. The displayed ping rate may be different from the update rate because the system might be impacted by other processes.
• Mode ID
All sonar applications have their own unique mode number. The mode number displayed here corresponds to a PRI Sequence ID found in the M3 software database.
Related topics
Power User Settings XML file


Program Head dialog box - Production Config page
You can perform advanced tasks in the Program Head dialog box, such as configuring production settings, making head corrections, or changing transmit pulse definitions.
How to open
This dialog box is opened from the Advanced menu.
Note
This dialog box is only available when the Sonar Head is connected and paused. To pause the Sonar Head, click Setup→Connect, then open the Menu Widget in the top-right corner of the sonar view. Click Pause.
Select the Production Config tab.
Description
Use the Production Config page to view or change advanced Sonar Head parameters, such as the Serial Number or MAC Address. This page is primarily intended for use by production test engineers.
Details
Head
The Head table shows you the serial number and IP Address of the Sonar Head.
Configuration file
Click the folder icon to browse for the latest configuration file on your local drive. Click the Load from file button to populate the Production Configuration fields with values from your configuration file.
To save the current parameters, locate the field at the bottom of the dialog box and choose a filename or browse to replace an existing file. Click the Save to file button beside this field.
Production Configuration
This table lists all the advanced parameters and their values for the Sonar Head.
Write Config
Click this button to re-program the Sonar Head with the parameters displayed in the Production Configuration table.
Read Config
Click this button to populate the Production Configuration fields with the current parameter values (values are read from the Sonar Head).


Program Head dialog box - Head Corrections page
You can perform advanced tasks in the Program Head dialog box, such as configuring production settings, making head corrections, or changing transmit pulse definitions.
How to open
This dialog box is opened from the Advanced menu.
Note
This dialog box is only available when the Sonar Head is connected and paused. To pause the Sonar Head, click Setup→Connect, then open the Menu Widget in the top-right corner of the sonar view. Click Pause.
Select the Head Corrections tab.
Description
Use the Head Corrections page to write Phase/Amplitude Corrections or Range Reference Coefficients to the Sonar Head. This page is primarily intended for use by production test engineers.
Details
Head
The Head table shows you the serial number and IP Address of the Sonar Head.
Configuration type
Select the type of configuration you wish to apply.
Configuration file
Click the folder icon to browse for the latest configuration file on your local drive.
Click the Write button to apply the configuration parameters in your file to the Sonar Head. Click the Read button to save the current Sonar Head configuration to your configuration file.


Program Head dialog box - TX Pulse page
You can perform advanced tasks in the Program Head dialog box, such as configuring production settings, making head corrections, or changing transmit pulse definitions.
How to open
This dialog box is opened from the Advanced menu.
Note
This dialog box is only available when the Sonar Head is connected and paused. To pause the Sonar Head, click Setup→Connect, then open the Menu Widget in the top-right corner of the sonar view. Click Pause.
Select the TX Pulse tab.
Description
Use the TX Pulse page to apply a new TX pulse definition to the Sonar Head if a new TX pulse is designed for the M3 software database.
Details
Configuration file
Click the folder icon to browse for the latest configuration file on your local drive.
Click the Write button to apply the configuration parameters in your file to the Sonar Head. Select the box if you wish to load the transmit pulse definitions when connecting to the Sonar Head.


Profile Batch Conversion dialog box
The Profile Batch Conversion dialog box allows you to convert many data files at once into another format.
How to open
This dialog box is opened from the Advanced menu.
Description
You can convert “.mmb”, “.imb”, and “.pmb” files. The current profiling settings in the M3 software are used when converting to “.all” files. The source and destination folders are saved in the “PowerUsersInfo.xml” file after the Profile Batch Conversion dialog box is closed.
After setting up the batch conversion, click the Convert button to start the conversion process. You can view the progress of both the current file and of all files in the batch.
Details
Input type
Select the type of source file that you wish to convert. Click the Browse Source button to select a valid source file or folder.
Export type
Select the file type for your destination file. Click the Browse Destination button to select a destination folder or enter a filename.
If your selected export type is “.pmb”, then you can check the Water Column box to export the “.pmb” file with water column data. When saving water column data, profile range and bearing data will also be saved. Split-beam profiling will include amplitude and phase in the water column data, but the default profiling mode will include amplitude only.
Convert Mode
Select Folder for batch conversion. If you check the Sub Folder box, then all files in all sub folders will be included in the batch conversion. To convert a single file, select File.
Related topics
Power User Settings XML file


Raw Data Spectrum window
The Raw Data Spectrum window allows you to find and observe any noise in the data.
How to open
This window is opened from the Advanced menu.
Description
This window displays the normalized, real-time raw data spectrum. The baseband sampling frequency range of the received signal is shown on the x-axis, and the normalized spectrum amplitude is shown on the y-axis (in dB). You can also view the carrier frequency of the raw data, the normalized transmitted signal frequency spectrum, and the maximum signal strength averaged across the elements.


Power User Settings XML file
The Power User Settings XML file allows you to change advanced M3 software parameters by editing the file with any text editor.
How to open
Note
Close the M3 software before editing the Power User Settings XML file.
Download and install a free XML file editor, such as Notepad++. Navigate to C:\KML\M3_V0254\BIN\SETTINGS. Open the “PowerUsersInfo.xml” file with your XML file editor.
Description
You need a software license key to apply the values in the “PowerUsersInfo.xml” XML file to the M3 software. If you do not have a software license, then the default values will be used. The new values will be applied after restarting a licensed copy of the M3 software.
Details
<PlaybackOverrideBeamlists>
This feature allows you to replace the beamlist of a recorded “.mmb” file with a new beamlist XML file. The recorded raw data will be beamformed based on the new beamlist. Enter a value of “Yes” or “No” in the XML tag.
<OverrideBeamlistFile>
Enter the beamlist file’s address into the XML tag.
<ProcessingTypeOverride>
Enter a value of “Yes” or “No” in the XML tag. This feature allows you to switch between the time-domain beamformer and the FFT beamformer for profiling applications. Select the Profiling option when playing back an “.mmb” file (recorded using the Profiling - Fast or Profiling - Bathy sonar applications) to use the time-domain beamformer. Leave this setting as No to use the original processing type for beamforming in post processing.
<BatchProfilingSrcFolder>
In the XML tag, enter the address of the folder for the files you wish to convert.
<BatchProfilingDesFolder>
In the XML tag, enter the address of the destination folder where your converted files will be saved.
<Profile3DCloudPingToKeep>
This parameter controls how many pings to keep in the memory when displaying a 3D point cloud. The maximum value depends on the amount of memory allocated to the point cloud. If the value you enter exceeds the maximum, then it will be reset to the default value of 2000.
<ProfileSpikeFilter>
This parameter removes noisy profiling points due to midwater objects, such as fish, and is useful when a clean bottom profile is needed. Enter a value between zero and 51 into the XML tag (zero disables the filter). The spike filter applies to profiling applications.
<ProfileContinuousContour>
This parameter interpolates the profiling result before it is displayed. Sometimes the bottom profile has missing points due to noise or midwater objects. Enabling this filter can replace these points. For example, this filter will fill out a hole in the middle of a bottom profile, but may produce artificial points at both edges.
<ProfileSelectionFilterCoef>
This parameter adjusts the smoothing filter before selecting the profiling algorithm. Enter a value between one and ten in the XML tag.
Related topics
Power User Settings dialog box
Profile Batch Conversion dialog box


Tool bar description
The tool bar provides buttons for functions, filters, and sonar view overlays.
The tool bar provides access to useful functions, such as the ability to take a screenshot or change your TVG settings. In addition, several measuring tools are available.
A Arrow
Click to use the default arrow cursor. With the default cursor you can select and manipulate objects on the screen.
B Wiper
Removes items from the sonar view. When selected, click on each overlay you wish to delete.
C Zoom windows
You can open up to four true zoom windows when running a Sonar Head.
D Tape Measure
Measures distances on the sonar view. Also allows you to place a measurement overlay on the sonar view.
E Protractor
You can use the protractor to measure the angle between two lines, then place the resulting overlay in the sonar view.
F String Measure
You can use the string measure tool to define an area. The size and perimeter of the area will be calculated for you.
G Text Label
The text label tool allows you to place comments on the screen.
H Reference Cursor 1
I Reference Cursor 2
You can place one or two reference cursors as overlays on the sonar view. When you place two cursors, an additional overlay will appear with information about the cursors.
J Image Quality Analysis System
The Image Quality Analysis System (IQAS) analyzes the image quality of a point target, or can be used to measure a known point target against a specification.
K Y1
Horizontal line overlay that can be used to mark the depth of the natural seabed (for use when excavating).
L Y2
Horizontal line overlay that can be used to mark the depth of a trenching target (for use when excavating).
M Show Full Screen
Click Full Screen to make the sonar view full screen. Press the Esc key to exit full-screen mode.
N Save image with overlays
Click this button to save sonar view images, including any overlays you’ve placed in the sonar views.
O Save image without overlays
Click this button to save sonar view images, excluding any overlays you’ve placed in the sonar views.
P TVG Setup dialog box
TVG (Time Variable Gain) compensates for the loss of acoustic energy due to geometric spreading and absorption.
Q Average Filter
Clicking the “A” button will enable the Average Filter. This filter reduces noise. Slow-moving features persist on-screen.
R Background Removal
Clicking the “B” button will enable the Background Removal filter. This filter removes stationary parts of the background to enhance moving objects (such as fish, for example).
S Edge Enhancement
Clicking the “E” button will enable Edge Enhancement. This filter enhances the edge of moving features.
T No Filter
Disables any filters. The sonar view will display an unfiltered sonar image.
Topics
Arrow
Wiper
Zoom windows
Tape Measure
Protractor
String Measure
Text Label
Reference cursors
Image Quality Analysis System
Save image with or without overlays
TVG Setup dialog box
Filters


Arrow
Click to use the default arrow cursor. With the default cursor you can select and manipulate objects on the screen.
If you are currently using one of the tools, such as the Tape Measure for example, clicking the Arrow button will cancel the current tool.
To move overlays around in the sonar view, click the Arrow button, then click and hold the left mouse button on an overlay. Drag it to where you want it then release the mouse button.


Wiper
Removes items from the sonar view. When selected, click on each overlay you wish to delete.
If your sonar view becomes too cluttered with overlays, you may wish to remove some of them.
Click the Wiper button, then left-click on any overlay that has been placed in the sonar view (such as a Reference Cursor, for example) to remove it. Note that you cannot undo this action.


Zoom windows
You can open up to four true zoom windows when running a Sonar Head.
To open a zoom window, click the Zoom windows button in the tool bar, then click a target of interest in the sonar view.
The zoom area (A) in the sonar view is a fixed size and cannot be adjusted. However, you can move the zoom area to another location with the cursor. The images in the true zoom windows (B) are acquired separately using high-resolution sampling parameters and adequate transmit pulses.
If you record sonar data while the zoom windows are open, the zoom window data will also be recorded for replay. During playback, the zoom windows will open automatically.
Tip
Reference cursors can be used with a Zoom window. To make fine adjustments to the cursor position, drop a reference cursor into a Zoom window.


Tape Measure
Measures distances on the sonar view. Also allows you to place a measurement overlay on the sonar view.
To measure the distance between two targets, click the Tape Measure button. Click and hold the left mouse button on your first target, then drag the mouse to your second target. The length and bearing between the targets is displayed dynamically. The measurement line will not remain on the display when you release the mouse button.
To place a persistent measurement overlay, click and hold the right mouse button on your first target, then drag the mouse to your second target and release the mouse button. Click the left mouse button to place the overlay.
Tip
Once the measurement overlay is placed, you can use the default arrow cursor to drag the length and bearing label to a position on the screen where it is more legible.
Related topics
Measuring distances


Protractor
You can use the protractor to measure the angle between two lines, then place the resulting overlay in the sonar view.
The protractor tool measures the angle between a baseline and a second line that intersects the baseline.
In the sonar view, click the point where you want to start the baseline. Click the point where you want to end the baseline. Lock one end of the second line to the baseline. Choose where you want the second line to end.
Related topics
Measuring angles


String Measure
Defines and measures perimeters and areas. Allows you to place an area overlay on the sonar view.
To define an area, click the String Measure button. Click anywhere in the sonar view to start a point. Move to the second point, then click again. Click as many times as necessary to create the required area. Double-click on the last point to finish. The area will automatically be closed, and a rectangular label will appear providing information about the area and perimeter. Move the label to a position on the screen where it is most legible, then click the left mouse button to place it.
Tip
You can place multiple areas on the display. The areas will remain on the display until you delete them individually with the Wiper function.
Related topics
Defining an area


Text Label
The text label tool allows you to place comments on the screen.
Click the Text Label button. In the sonar view, click the area of interest that you want to label. Click and hold the left mouse button on the label overlay and drag it to a place on the screen where the text is legible. Double-click on the label overlay to open an Edit Text Box dialog box.
Tip
If the text you entered does not fit within the text label overlay, you can resize the label by clicking on the label border, then dragging it to create a larger label.
Related topics
Placing text labels


Reference cursors
You can place one or two reference cursors as overlays on the sonar view. When you place two cursors, an additional overlay will appear with information about the cursors.
To mark a point of interest, you can place a cross-hair type marker on the sonar view. Click one of the Reference Cursor buttons. Choose where you want to place the cursor, then click the left mouse button to place it. The range and bearing of the cursor’s position — relative to the Sonar Head — is shown in the bottom-left corner of the view.
When you place both cursor 1 and cursor 2 on the sonar display, the cursor range and bearing — relative to the Sonar Head— will be displayed. “Delta” shows the range and bearing from cursor 1 to cursor 2.
Related topics
Placing reference cursors


Image Quality Analysis System
The Image Quality Analysis System (IQAS) analyzes the image quality of a point target, or can be used to measure a known point target against a specification.
IQAS measures a known point target against a specification, such as resolution, Peak Side Lobe Ratio (PSLR), or Integrated Side Lobe Ratio (ISLR).
To enable IQAS, click the IQAS button on the tool bar.
Two IQAS dialog boxes will open. One dialog box shows the range (in metres), and the other shows the azimuth angle (in degrees).
Move the IQAS cursor to a target of interest in the sonar view, then click the left mouse button to place the cursor.
The following information will be displayed in the two IQAS dialog boxes.
Resolution, Impulse Response Width (IRW)
The IRW is measured 3 dB down from the top of the Main Lobe of the impulse response. In the range dialog box, the IRW is displayed in pixels and metres. In the azimuth angle dialog box, the IRW is displayed in pixels and degrees.
Peak Side Lobe Ratio (PSLR)
The PSLR is the Peak Side Lobe level in the Near Region relative to the level of the Main Lobe. The unit of measurement is dB.
Integrated Side Lobe Ratio (ISLR)
The ISLR is the ratio of the energy in the Near Region to the energy within the Main Lobe Region. The unit of measurement is dB.


Save image with or without overlays
With one click, you can capture an image of the sonar view — either with overlays or without overlays.Click this button to save sonar view images, including any overlays you’ve placed in the sonar views.
Click the Save image with overlay button to save the sonar view image, including any overlays (such as the Tape Measure or Text Labels for example) you’ve placed in the sonar view. If you want to save the sonar view without overlays, click the Save image without overlay button instead.
Your images will be saved under the folder “C:\KML\M3_V0254\Images” by default. You can change this save location through the Preferences dialog box.
A text file with information on the image capture sonar settings will also be created.
Tip
Open the Preferences dialog box to change the default save location, choose your own filename, and add overlay text.


TVG Setup dialog box
When an acoustic pulse is sent through the water, it will gradually lose its energy. The greater the distance between the transducer and the target(s), the greater the loss of energy. TVG (Time Variable Gain) compensates for the loss of acoustic energy due to geometric spreading and absorption.
How to open
Note
Each sonar application has its own TVG profile. Before changing the TVG settings, start the sonar (click Setup→Connect), then select the sonar application you want to configure from the Sonar applications list.
If you are using a high-frequency M3 Sonar, the TVG profiles will not be saved when closing the software — default values will apply when switching to a new frequency or when starting up the M3 software.
Click the TVG button. This button is located on the tool bar.
Description
When an acoustic pulse is sent through the water, it will gradually lose its energy. The greater the distance between the transducer and the target(s), the greater the loss of energy.
• Geometric spread
Once transmitted, the acoustic energy will spread out to form a circular beam. The width of this beam increases with the physical distance to the target(s).
• Absorption loss
Depending on the salinity and temperature, the water will absorb some of the energy from the acoustic transmission. The absorption loss increases as the physical distance to the target(s) increases.
Both the geometric spread and the absorption will also have an effect on the returned echo signal. That is why we normally refer to these factors as the two-way transmission loss.
The TVG (Time Variable Gain) compensation is designed to counteract the natural phenomena of geometric spread and absorption loss. In the M3 Sonar system, the TVG compensation is made using digital signal processing software. By means of algorithms, the time variable gain compensation converts the echo presentation as a function of range. This makes the targets with the same strength appear with the same intensity independent of their physical distance from the transducer.
Details
The TVG compensation is expressed as a logarithmic curve. You can choose from a selection of curves. Each curve has a different slope creating a different gain compensation. Four adjustable factors are used to set the gain curve.
A Factor
Represents spreading loss.
B Factor
Represents one-way absorption loss.
C Factor
Represents a base or starting gain level.
L Factor
Limits the maximum gain to reasonable levels.
To the left of the TVG curve display is a slider with a range from -30 to 130. This represents the system gain. Moving this slider down until the line intersects the green TVG curve will cause a Range-Gain pair of values to be displayed in the “Range-Gain” box. Adjust this slider to determine the gain at a particular range.
If you have a software license for advanced features, then an additional pane and slider bar will become available. When the Sonar Head is running, a graphic representation of the receive signal will appear at the bottom of the dialog box so that you can ensure that the signal is not being clipped. A slider is provided so that you can exclude the low end percent of the gain.
Related topics
Adjusting the TVG (Time Variable Gain) setting


Filters
You can apply an averaging, background removal, or an edge enhancement filter to the sonar view.
Note
You can adjust the strength of these filters in the Display Widget.
Average Filter
Clicking the “A” button will enable the Average Filter. This filter reduces noise. Slow-moving features persist on-screen.
This filter averages the image from ping to ping so that slow-moving features will persist, while reducing noise in the image. The Average Filter is especially useful when the image is constructed from multiple pings.
Background Removal
Clicking the “B” button will enable the Background Removal filter. This filter removes stationary parts of the background to enhance moving objects (such as fish, for example).
Edge Enhancement
Clicking the “E” button will enable Edge Enhancement. This filter enhances the edge of moving features.
This filter provides some persistence for the image. Edge Enhancement is especially useful when you wish to view a school of fish clearly, for example.
No Filter
Disables any filters. The sonar view will display an unfiltered sonar image.
No filtering is preferable if instantaneous readings are required, since this shortens the delay between updating the changes in sonar data, and the corresponding displayed information.
Related topics
Applying filters


Technical specifications
Topics
Introduction to technical specifications
Interface specifications
Performance specifications
Mechanical specifications
Power requirements
Environmental requirements
Minimum computer requirements


Introduction to technical specifications
These technical specifications summarize the main functional and operational characteristics of the M3 Sonar Multibeam sonar. They also provide information related to power requirements, physical properties and environmental conditions.
Note
At Kongsberg Discovery, we are continuously working to improve the quality and performance of our products. The technical specifications may be changed without prior notice.


Interface specifications
The M3 Sonar system will interface with peripheral systems and sensors using standard and/or proprietary datagram formats.
Supported datagram formats for GPS (position) information
The M3 Sonar system supports the following datagram formats for position information:
• NMEA GGA
The NMEA GGA datagram transfers time-, position- and fix-related data from a global positioning system (GPS).
• NMEA GLL
The NMEA GLL datagram transfers the latitude and longitude of vessel position, the time of the position fix and the current status from a global positioning system (GPS).
• GGK
This third party datagram format contains the vessel’s current position with the assigned coordinated universal time (UTC) of position, as well as a selection of position quality factors.
Supported datagram formats for speed information
The M3 Sonar system supports the following datagram format for speed information:
• NMEA VTG
The NMEA VTG datagram contains the actual course and speed relative to the ground.
Supported datagram formats for heading information
The M3 Sonar system supports the following datagram formats for vessel heading and/or gyro information:
• NMEA HDG
The NMEA HDG datagram provides heading from a magnetic sensor. If this reading is corrected for deviation, it produces the magnetic heading. If it is offset by variation, it provides the true heading.
• NMEA HDM
The NMEA HDM datagram provides vessel heading in degrees magnetic. The datagram is no longer recommended for use in new designs. It is often replaced by the NMEA HDG telegram.
• NMEA HDT
The NMEA HDT datagram provides the true vessel heading. The information is normally provided by a course gyro.
• EM Attitude 3000
The Kongsberg EM Attitude 3000 is a proprietary datagram format created by Kongsberg Discovery for use with digital motion sensors. It holds roll, pitch, heave and heading information. The datagram contains a 10-byte message.
• Octans STD1
This is a third-party proprietary datagram format for heading, speed, and motion. It was created by iXSea ( http://www.ixblue.com ) for use with their Octans gyrocompass.
Supported datagram formats for motion information
The M3 Sonar system supports the following datagram formats from a motion sensor:
• Teledyne TSS1
Teledyne TSS1 is a proprietary datagram format for heave, roll and pitch compensation. When you select this protocol, the number of sensor variables is fixed, and there is no token associated with it.
• EM Attitude 3000
The Kongsberg EM Attitude 3000 is a proprietary datagram format created by Kongsberg Discovery for use with digital motion sensors. It holds roll, pitch, heave and heading information. The datagram contains a 10-byte message.
• Octans STD1
This is a third-party proprietary datagram format for heading, speed, and motion. It was created by iXSea ( http://www.ixblue.com ) for use with their Octans gyrocompass.
Supported datagram formats for sound speed sensors
The M3 Sonar supports the following datagram format from a sound speed sensor.
• Valeport
This is a third-party proprietary datagram format created by Valeport Ltd. for use with their sound velocity sensors. The file format is ASCII. There are three formats: standard format (millimetres per second), alternative format #2 (metres per second with two decimal places), and alternative format #3 (metres per second with three decimal places). For more information, see http://www.valeport.co.uk .
Note
If you are using a Sonar Head with an integrated AML sound speed sensor, you do not need to interface with a datagram as it is built into the sonar.
Supported datagram formats for depth information
The M3 Sonar system supports the following datagram formats for depth output:
• NMEA DBT
The NMEA DBT datagram provides the current depth under the transducer. In new designs, this datagram format is frequently used to replace the DBK and DBS formats.
• NMEA DPT
The NMEA DPT datagram provides the water depth relative to the transducer, and the offset of the measuring transducer.
Processed data formats
The following processed data output formats are available.
• .mmb
This is raw element data, not beamformed, in a 16-bit fixed-point complex format. This format allows great flexibility in how the data is processed and allows you to do your own beamforming or profile-point extraction. The data body size is determined by the number of elements and the number of samples.
• .imb
This format consists of beamformed data.
You can choose between a 32-bit floating point complex or 8-bit integer magnitude format. Select the 8-bit format only if you are interested in imaging pixel data and want a reduced data file size. The 8-bit format takes up a quarter of the 32-bit format's size.
Data body size is determined by the number of beams and samples. Different modes may form a different number of beams. Therefore, data body size may change depending upon the mode.
• .ALL
This is the proprietary Kongsberg EM series datagram format. The M3 software can output this data format to be compatible with third-party post-processing software.
Synchronization
• PRI Sync
PRI Sync (set with Trigger Mode on the Sonar Setup page of the System Configuration dialog box) provides ping synchronization with another Sonar Head or other acoustic source that supports synchronization (for example, EK60, Sidescan, DVL, etc.). PRI Sync is a level-sensitive method of synchronization. When the sync is held high, the sonar will not transmit. The PRI Sync INPUT must be held low for 25μs in order to trigger the Sonar Head. The Sonar Head will transmit a 100μs sync OUTPUT pulse when configured as Master on the Sonar Setup page. The sync OUTPUT is generated each time the Sonar Head transmits.
• Host Time Sync Mode
Host mode synchronizes the Sonar Head time with the computer time. This mode is critical for Bathymetry applications. Host mode only works if the computer is connected to an accurate time source, such as a GPS or network time server. When connecting to the Sonar Head, it takes two minutes to synchronize the time to within five milliseconds.
• 1PPS Time Sync Mode
1PPS is a 0 to 5 VDC pulse, with a 50% duty cycle. The Sonar Head time can be synchronized to external 1PPS pulses.
The time is synchronized to the rising edge of the 1PPS pulses. When the rising edge of a 1PPS pulse is detected then the ns, us and ms counters are set to zero. The second counter is set to zero if the ms counter is < 500 and increased by 1 if the ms counter is >= 500.
1PPS synchronization requires ZDA input over UDP to the Sonar Head (not to the M3 software) on UDP port 31100 at 1Hz.
The 1PPS signal must be sent to the Sonar Head using the 1PPS input on one of the following cables.
– 10-pin SEA CON® MINK-10-CCPL cable used with M3 Sonar model 922-20220000.
– 4-pin SEA CON® MIND-4-FCR cable used with M3 Sonar model 922-20050000.
The Sonar Head must be upgraded to the latest firmware version (version 1.5 or later).
• Computer Time Sync
If ZDA is configured, the M3 software will use the time in the ZDA message to synchronize the computer clock automatically in the background. However, you may need to run the M3 software as an administrator (right-click on the icon and select Run as administrator) or Windows may not allow the software to change the system clock. Computer time sync can be useful when data is being logged on more than one computer and synchronized timing is required. This method is not recommended for Bathymetry applications as it is not accurate enough.
Note
Computer time sync requires both GGA and ZDA input.


Performance specifications
These performance specifications summarize the main functional and operational characteristics of the M3 Sonar system.
• Slant range: 0.2 to 150 m (depends on model)
• Coverage: up to 140°
• Range resolution: 1 cm
• Frequency: 500 kHz to 1400 kHz (depends on model)
• Pulse types: CW, LFM
• Communication: Ethernet
• Data Rates: 10/100/1000 Mbps
Synchronization
• PRI Synchronization (master / slave operation):
– Sync Input: 0 to 5 VDC, hold-off when high
– Sync Output: 0 to 5VDC active low pulse 100μs
• 1PPS Synchronization
Note
The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency. The M3 software will automatically detect the frequency of your Sonar Head and display only the applicable sonar applications.
Variable Vertical Beamwidth (Imaging) mode — 500 kHz
• Horizontal Field of View: 120°
• Vertical Field of View: 3°, 7°, 15°, 30°
• Angular Resolution: 1.6°
• Update rate: up to 40 Hz
EIQ mode — 500 kHz
• Horizontal Field of View: 140°
• Vertical Field of View: 30°
• Angular Resolution: 0.95°
• Update rate: up to 10 Hz
Bathymetry/Profiling mode — 500 kHz
• Across track field of view: 120°
• Along track field of view: 3°
• Number of beams: up to 256
• Update rate: up to 40 Hz
• Beam spacing: Equiangular
Imaging mode — 700 kHz
• Horizontal Field of View: 140°
• Vertical Beamwidth: 30°
• Angular Resolution: 1.0°
• Update rate: up to 40 Hz
Imaging mode — 950 kHz
• Horizontal Field of View: 140°
• Vertical Beamwidth: 27°
• Angular Resolution: 0.8°
• Update rate: up to 40 Hz
Imaging mode — 1200 kHz
• Horizontal Field of View: 75°
• Vertical Beamwidth: 21°
• Angular Resolution: 0.65°
• Update rate: up to 40 Hz
Imaging mode — 1400 kHz
• Horizontal Field of View: 45°
• Vertical Beamwidth: 18°
• Angular Resolution: 0.55°
• Update rate: up to 40 Hz
Profiling mode — 700 kHz
• View angle: 140°
• Resolution: 1.8° x 2.0°
• Max Range: 140 m
• No. of Beams: 256
Profiling mode — 950 kHz
• View angle: 140°
• Resolution: 1.4° x 1.5°
• Max Range: 100 m
• No. of Beams: 256
Profiling mode — 1200 kHz
• View angle: 75°
• Resolution: 1.1° x 1.2°
• Max Range: 70 m
• No. of Beams: 256
Profiling mode — 1400 kHz
• View angle: 45°
• Resolution: 0.9° x 1.0°
• Max Range: 50 m
• No. of Beams: 256
Profiling - HiRes mode — 700 kHz
• View angle: 140°
• Resolution: 1.8° x 1.0°
• Max Range: 140 m
• No. of Beams: 512
Profiling - HiRes mode — 950 kHz
• View angle: 140°
• Resolution: 1.4° x 0.75°
• Max Range: 100 m
• No. of Beams: 512
Profiling - HiRes mode — 1200 kHz
• View angle: 75°
• Resolution: 1.1° x 0.6°
• Max Range: 70 m
• No. of Beams: 512
Profiling - HiRes mode — 1400 kHz
• View angle: 45°
• Resolution: 0.9° x 0.5°
• Max Range: 50 m
• No. of Beams: 512
VDSL
Firmware version: 1.5
Part number: 320-27701000-0150 (Rx controller)
Important
Although VDSL sonar heads are pre-programmed at the factory with the correct firmware, you may need to upgrade your firmware if you do not have the latest version for your VDSL Sonar Head. For the best performance, firmware version 1.5 (or later) is required for applications using a long cable and VDSL telemetry. Note that you only need to upgrade the Sonar Head receive firmware file (.RXF) and the Sonar Head software file (.ASW). You do not need to upgrade the Sonar Head transmit firmware file (.TXF).
AML SVT Xchange sound speed sensor
A Sonar Head with an integrated AML sound speed sensor is available from Kongsberg Discovery.
• Range: 1375 - 1625 m/s
• Resolution: 0.001 m/s
• Accuracy: 0.025 m/s
• Response time: 20 ms
• Precision: 0.006 m/s


Mechanical specifications
These mechanical specifications summarize the physical properties of the M3 Sonar system.
Sonar Processor
The Sonar Processor uses a high-quality commercial-off-the-shelf laptop computer workstation. The weight and dimensions of the model may vary. Contact your Kongsberg Discovery representative for information about the current model that is delivered with your M3 Sonar system.
500 m Sonar Head
• Depth rating: 500 m
• Dimensions
– Diameter: 185 mm (7.28”)
– Depth: 126 mm (4.95”)
• Weight: 4.4 kg (air), 1.8 kg (water)
• Materials: Anodized Aluminium, Stainless Steel 316, Elastomeric Polyurethane
• Connector type: SEA CON®
• Connector model: MINK-10-FCRL (Telemetry & Power)
4000 m Sonar Head
• Depth rating: 4000m
• Dimensions
– Diameter: 185 mm (7.28”)
– Depth: 140 mm (5.50”)
• Weight: 8.2 kg (air), 5.1 kg (water)
• Materials: Titanium, Stainless Steel 316, Elastomeric Polyurethane
• Connector type: SEA CON®
• Connector model: MINK-10-FCRL (Telemetry & Power)
Optional connector models
• Synchronization: SEA CON®, MIND-4-FCR
• 100BaseTX Ethernet and Power: Alstom Seanet (4000 m M3 Sonar only)
• 100BaseTX Ethernet and Power: SubConn MCBHRA6MSS (500 m M3 Sonar only)
High-frequency Sonar Head
• Depth rating: 4000 m
• Dimensions
– Width: 218 mm (8.59”)
– Height: 144 mm (5.67”)
• Weight: 7.8 kg (air), 5.0 kg (water)
• Materials: Titanium, Elastomeric Polyurethane
• Connector type: SEA CON®
• Connector model: MINK-10-FCRL (Telemetry & Power)
VDSL
Cable requirements: One twisted pair (100-ohm impedance)
Note
VDSL will work over two wires. Actual data rate will vary with the cable quality.
• 3 m (10 foot) cable: Up to 100 Mbps
• 152 m (500 foot) cable: Up to 100 Mbps
• 1000 m (3300 foot) cable: 27 Mbps (measured on Belkin 1353A)
AML SVT Xchange sound speed sensor
A Sonar Head with an integrated AML sound speed sensor is available from Kongsberg Discovery.
• Depth rating: 11000 m
• Weight: 120 g
• Material: Titanium


Power requirements
These power characteristics summarize the supply power requirements for the M3 Sonar system.
Sonar Processor
• Power adapter input voltage: 120/240 VAC
• Laptop input voltage: 19.5 VDC @ 180W (max)
Sonar Head
• Input voltage: 12 to 36 VDC
• Input power: 22W (avg.), peak power < 60W, mode dependant
• Maximum cable loop resistance for Sonar Head power:
– 0.1 Ω @ 12VDC
– 2 Ω @ 24VDC
– 6 Ω @ 36VDC
Note
These values were measured at +23°C.


Environmental requirements
These specifications summarize the temperature requirements and other environmental standards for the M3 Sonar system.
Sonar Processor
The Sonar Processor uses a high-quality commercial-off-the-shelf laptop computer workstation. This computer is intended to be installed inside in an area suitable for extended human habitation. Contact your Kongsberg Discovery representative for information about the current model that is delivered with your M3 Sonar system.
Sonar Head
• Temperature: -2° to + 38 °C (operation), -40 to +55 °C (storage)
• Shock qualified: +/-50gs, 3 Axes, 6 shocks per axis
• Vibration qualified: 4g, 30Hz 3 Axes, 2 hours per axis. No resonance below 800Hz
The stated operation temperature range is for the Sonar Head in water. The Sonar Head can be powered on and started at temperatures between -20° to +45° C. There is a built-in temperature monitor that will display a software warning message and automatically power down the Sonar Head before it overheats.
Caution
The Sonar Head must not be exposed to direct sunlight for prolonged periods of time. Prolonged exposure to ultra-violet rays and excessive heat may damage the surface of the polyurethane transducer face. Store the Sonar Head in a cool, dry location away from ozone sources (such as electric motors or welders).
AML SVT Xchange sound speed sensor
A Sonar Head with an integrated AML sound speed sensor is available from Kongsberg Discovery.
• Storage temperature: -20 to 60 °C
• Operating temperature: -5 to 45 °C


Minimum computer requirements
Although a computer can be ordered from Kongsberg Discovery as a part of the M3 Sonar system delivery, it is also possible to purchase one locally.
If you purchase a computer locally, make sure that the chosen model meets the functional and technical requirements.
It is important that the chosen computer model is relatively new with sufficient processing power, a high performance graphics adapter, and a high speed Ethernet adapter.
We recommend a computer with a CPU that has a PassMark Software benchmark score of 14,000 or more ( passmark.com ).
PassMark Software is a Windows computer performance benchmarking utility. Computers with a CPU score of 14,000 or higher have been tested with the M3 Sonar. Lower-scoring computers may not perform well, resulting in a slow GUI response, slower ping rates, or dropped pings.
When running two M3 Sonars, an average CPU Mark of 30,000 is recommended.
The computer must be able to facilitate the various interface requirements made by the M3 Sonar system, and you may need to add extra Ethernet and/or serial adapters.
Note
The computer design and construction must allow for maritime use. Easy access to connectors, parts and cables must be provided. Make sure that the installation method allows for the physical vibration, movements and forces normally experienced on a vessel.
The minimum technical requirements are:
• Microprocessor: 2.80 GHz, Intel quad core i7
• Memory: minimum 16 GB
• Hard disk: minimum 500 GB SSD (HDD not recommended as slower speed may impact software performance)
• Graphics card RAM: 256 MB
• Network interface: 100/1000 Mbps
• Serial adapters: One or more serial line interfaces are required. The number of serial lines depends on your interface requirements.
• Operating system: The M3 software has been designed for the Microsoft® 64-bit Windows 10 operating system. Windows 7 is supported for imaging applications only. Profiling applications will not work properly in Windows 7. Operating systems older than Windows 7 are not supported.
Display recommendations
A display is a required part of the M3 Sonar system. For best readability, the display must be protected from glare and have the correct height and angle. The design and construction must allow for marine use, and the display must be able to withstand the movements and vibrations normally experienced on a vessel.
• Resolution: We recommend that you use a large display with resolution 1920 x 1080. We do not recommend using a higher-resolution display, such as a 4K display, because it will use more processing power and may affect software performance.
• Video interface: The video interface must match the output format(s) provided by the computer.
The computer may offer video output on several formats. Investigate your options before you purchase a display.
• Physical screen size: The screen size depends on personal and/or operational preferences.


8 Setting up external sensors
If you wish to add external sensors (such as a GPS to provide navigation information) to your system, you will need to add them on the Sensors Setup page. You will also need to set the sensor properties so that the M3 software communicates properly with your sensor.
Prerequisites
Make sure that your external sensors are installed and physically connected to the M3 Sonar system with the proper cables.
Procedure
1 On the Sonar Processor desktop, double-click the M3 Sonar icon to start the software.
2 Click Setup→System Configuration→Devices→Sensors Setup.
3 Configure your external sensors in the dialog box.
a Click Add Device.
b Select the type of sensor you are using from the Protocol drop-down list.
Note
In most cases, you can select a standard NMEA datagram for your sensor type. For example, select HDT for your vessel heading sensor, or GGA for your GPS position sensor.
c Click in the Name field and enter a label for the sensor (for example, Hemisphere VS330).
d Configure the serial port settings for the sensor by selecting the correct values from the drop-down lists.
4 Test each sensor to make sure that the NMEA string is being received by the M3 software.
a Select each sensor device and click the Test Device button.
b Make sure that the NMEA sensor string is being displayed in the Port Monitor box.
c Click Stop Test when done.
5 Make your external sensors a Master Reference.
a Select the Deployment→Master Reference tab.
On the Master Reference page, you can assign any external sensors you have set up as the primary source for various types of navigational data.
b Select the sensor that you set up earlier from the drop-down list beside the appropriate Master Reference parameter.
You should see the name in the drop-down list that you assigned earlier (in the Name field on the Sensors Setup page).
Tip
When using the M3 Sonar for imaging, set up sensors for Position and Heading if you want to create GeoTiff files or create a real-time mosaic. When using the M3 Sonar for Bathymetry or Profiling, set up sensors for Position, Heading, Pitch/Roll, and Heave as a minimum.
6 If necessary, configure the Mounting Offsets.
Note
You will only need to configure the Mounting Offsets if you set up a position sensor (such as a GPS antenna) in the previous steps. Inaccurate mounting offsets will display your sonar data incorrectly in the 3D Point Cloud and sonar view.
a Select the Deployment→Mounting Offsets tab.
b Measure and record the position and angle of the Sonar Head transducer (centre of the face) relative to your position sensor.
c Enter the X, Y, and Z offsets, as well as the Pitch Roll, and Yaw angles that you measured earlier into the Value fields.
d Select the correct Orientation from the drop-down list.
Match the orientation to the physical installation of your Sonar Head. For example, if the transducer face is pointing down towards the sea bottom for a bathymetry application, select Downward.


5 Changing the frequency
If you have a high-frequency M3 Sonar transducer, you can change the frequency using the Display Widget.
Context
Note
The frequency buttons will not appear if you are using a 500 kHz transducer. In addition, these buttons will not appear in playback mode.
Procedure
1 Click Setup→Connect to start the Sonar Head.
2 Click the Display Widget icon.
This icon is located in the lower-right corner of the sonar view.
3 Click one of the buttons to select a frequency (in kHz).
4 Click the Display Widget icon to hide the widget.
Note
The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency.


11 Setting up dual M3 Sonars
You can run two sonars simultaneously, either on the same computer or on separate computers. The two sonars must be synchronized so that they do not interfere with each other.
Context
When running two M3 Sonars simultaneously, they must be connected to each other with a sync cable (Part Number 436-02810000). The M3 Sonar models you use must therefore have a sync connector. M3 Sonar models without a sync connector cannot be used in a dual-sonar installation.
The following system diagrams show examples of different dual-sonar installations:
Dual M3 Sonar setup using QINSy (third-party software)
Dual M3 Sonar Setup using the ROV survey MUX and exporting data to the EIVA NaviSuite computer
Procedure
1 Install the M3 Sonar software.
a If you are running two sonars on separate computers, perform a normal installation of the M3 software on each computer.
Select the Standard Installation option when going through the software installation wizard.
b If you are running two sonars on the same computer, run the software installation wizard and select the Dual-M3 on Same PC option.
The installation wizard will create two icons on the computer desktop: M3 2.5.4 Master and M3 2.5.4 Slave.
Note
Each sonar will be running on its own instance of software with separate settings, even when selecting the dual M3 Sonar option. You must configure each instance ("Master" and "Slave") separately. If you are exporting data to a third party, then you will need to export it on different ports for "Master" and "Slave".
2 If you are running two sonars on the same network, then assign each sonar a different IP address.
Refer to the following procedure: 2 Changing the Sonar Head IP Address
If necessary, perform this procedure for both the “Master” and the “Slave” sonars. For example, if the “Master” sonar uses the factory default 192.168.1.234 address, then you could change the “Slave” sonar’s IP address to 192.168.1.236.
3 Configure the “Master” sonar.
a Double click M3 2.5.4 Master to run the software for the “Master” sonar.
If you are running two sonars on separate computers, run the M3 software on the computer where you wish to run the “Master” sonar.
b Click Setup→System Configuration→Devices→Sonar Setup.
c Click Discover Sonar Heads to search for the sonar on the network.
Observe that two sonar heads appear in the Online Sonar Heads list with each sonar displaying a different Serial Number and IP Address.
d Select the sonar to use as the “Master”, then select the Use Discovered Head button.
Note
After you have made your selection, the next time you run the software, it will remember which sonar head is the “Master”.
e Under Device Properties, select Master - Immediate Start from the Trigger Mode drop-down list.
This mode will trigger the “Slave” sonar by sending it a sync pulse.
f Under Device Properties, select 1PPS from the Time Sync Mode drop-down list.
Important
In order for 1PPS to work, you must send NMEA ZDA to both sonars on UDP port 31100 at 1 Hz.
g Enter a value of 125 Mbps into the Override Network Link Speed text box.
Setting the link rate will prevent the M3 software from reducing the ping rate when detecting a marginal link.
h Select Close to save the chosen settings and close the dialog box.
i If you have external sensors, follow the procedure “Setting up external sensors” so that the “Master” sonar can communicate with them. If you do not have a Sound Speed Sensor, you must enter the closest-known sound speed manually.
j If you wish to export the sonar data to third-party software, you must make sure the “Master” sonar exports data on a different port than the “Slave” sonar.
a Select File→Exporting Format→Profile Point (.all).
The default “.all” format is the Kongsberg EM datagram standard and can be processed by third-party software.
b Click Setup→Preferences.
c In the UDP Data Export section, enter the “Master” UDP port into the Port for .ALL format field. This port must also be configured in the third-party software to receive the data.
Important
The “Master” UDP port must be different from the “Slave” UDP port. For example, set the “Master” UDP port to 20002 and the “Slave” UDP port to 20003.
d Enter the IP Address of the computer running the third-party software into the Remote IP Address field.
To use the local computer, enter 127.0.0.1 (for example, if your third-party software is installed on the same computer as the M3 software.
e Make sure that the Export to File box is unchecked.
f Select Close to save the chosen settings and close the dialog box.
4 Configure the “Slave” sonar.
a Double click M3 2.5.4 Slave to run the software for the “Slave” sonar.
If you are running two sonars on separate computers, run the M3 software on the computer where you wish to run the “Slave” sonar.
b Click Setup→System Configuration→Devices→Sonar Setup.
c Click Discover Sonar Heads to search for the sonar on the network.
Observe that two sonar heads appear in the Online Sonar Heads list with each sonar displaying a different Serial Number and IP Address.
d Select the sonar to use as the “Slave”, then select the Use Discovered Head button.
Note
After you have made your selection, the next time you run the software, it will remember which sonar head is the “Slave”.
e Under Device Properties, select Slave - External Pulse Triggered from the Trigger Mode drop-down list.
In this mode, the "Slave" sonar will wait for a sync pulse from the "Master". The “Slave” software will only update the sonar view when the “Master” sonar is running. If the “Master” sonar is off or paused, the “Slave” software will not update the sonar view or export data.
f Under Device Properties, select 1PPS from the Time Sync Mode drop-down list.
Important
In order for 1PPS to work, you must send NMEA ZDA to both sonars on UDP port 31100 at 1 Hz.
g Enter a value of 125 Mbps into the Override Network Link Speed text box.
Setting the link rate will prevent the M3 software from reducing the ping rate when detecting a marginal link.
h Select Close to save the chosen settings and close the dialog box.
i If you have external sensors, follow the procedure “Setting up external sensors” so that the “Slave” sonar can communicate with them. If you do not have a Sound Speed Sensor, you must enter the closest-known sound speed manually.
j If you wish to export the sonar data to third-party software, you must make sure the “Master” sonar exports data on a different port than the “Slave” sonar.
a Select File→Exporting Format→Profile Point (.all).
The default “.all” format is the Kongsberg EM datagram standard and can be processed by third-party software.
b Click Setup→Preferences.
c In the UDP Data Export section, enter the “Slave” UDP port into the Port for .ALL format field. This port must also be configured in the third-party software to receive the data.
Important
The “Master” UDP port must be different from the “Slave” UDP port. For example, set the “Master” UDP port to 20002 and the “Slave” UDP port to 20003.
d Enter the IP Address of the computer running the third-party software into the Remote IP Address field.
To use the local computer, enter 127.0.0.1 (for example, if your third-party software is installed on the same computer as the M3 software.
e Make sure that the Export to File box is unchecked.
f Select Close to save the chosen settings and close the dialog box.
5 Start operation of “Master” sonar.
a Double click M3 2.5.4 Master to run the software for the “Master” sonar.
b Click Setup→Connect to start the Sonar Head.
c Select Sonar Apps from the menu on the top bar.
d To avoid interference or a duplicate bottom return, select Profiling - Dual Head Master from the list. You can also select Profiling, depending on your application.
Tip
If you can’t find the sonar application you are looking for in the Sonar Apps menu, select Customize Apps to add it.
e In the Display Mode section of the Profiling Settings dialog box, select Image and Profile or Profile Only to display profile points in the 3D Point Cloud window.
Tip
If the profiling settings are not visible, click Display→Profiling Settings to open the Profiling Settings dialog box.
f For the best profiling results, select Split Beam from the Algorithm drop-down list and select Strongest from the Point Selection drop-down list.
Make sure that the Depth Tracking box is checked.
g If necessary, change the sector orientation to match the orientation of the sonar. For example, 0° sector orientation is best when the sonar is pointing forwards, and 180° sector orientation is suitable for when the sonar is pointing down.
Select Display→Sector Orientation.
h If you wish to export the sonar data to third-party software, click the circular icon in the top-right corner of the sonar view to open the Menu Widget.
Click Export Data.
i Click Display→Output Messages Window.
Make sure there are no errors shown in the Output Messages window under the Host Messages or Head Messages tab.
Note
When power is disconnected to the sonars, a “Failed to connect to 192.168.1.xxx:30” message will appear. The software will continue attempting to reconnect until the sonar is powered back on or the cables have been reconnected.
6 Start operation of “Slave” sonar.
a Double click M3 2.5.4 Slave to run the software for the “Slave” sonar.
b Click Setup→Connect to start the Sonar Head.
c Select Sonar Apps from the menu on the top bar.
d To avoid interference or a duplicate bottom return, select Profiling - Dual Head Master from the list. You can also select Profiling, depending on your application.
Tip
If you can’t find the sonar application you are looking for in the Sonar Apps menu, select Customize Apps to add it.
e In the Display Mode section of the Profiling Settings dialog box, select Image and Profile or Profile Only to display profile points in the 3D Point Cloud window.
Tip
If the profiling settings are not visible, click Display→Profiling Settings to open the Profiling Settings dialog box.
f For the best profiling results, select Split Beam from the Algorithm drop-down list and select Strongest from the Point Selection drop-down list.
Make sure that the Depth Tracking box is checked.
g If necessary, change the sector orientation to match the orientation of the sonar. For example, 0° sector orientation is best when the sonar is pointing forwards, and 180° sector orientation is suitable for when the sonar is pointing down.
Select Display→Sector Orientation.
h If you wish to export the sonar data to third-party software, click the circular icon in the top-right corner of the sonar view to open the Menu Widget.
Click Export Data.
i Click Display→Output Messages Window.
Make sure there are no errors shown in the Output Messages window under the Host Messages or Head Messages tab.
Note
When power is disconnected to the sonars, a “Failed to connect to 192.168.1.xxx:30” message will appear. The software will continue attempting to reconnect until the sonar is powered back on or the cables have been reconnected.


6 Saving GeoTiff files
GeoTiff files are TIFF files which have geographic data embedded within them. The geographic data can then be used to position the image in the correct location and geometry on the screen.
Prerequisites
• You must have a position and heading sensor connected to your system and sending data to the M3 software. To add sensors, click Setup→System Configuration→Devices→Sensors Setup.
• Your Master Reference must be set up to use the sensor inputs or to use a fixed location by entering Latitude, Longitude, and Heading. To set up the Master Reference, click Setup→System Configuration→Deployment→Master Reference.
• Your mounting offsets must be configured correctly. To configure your mounting offsets, click Setup→System Configuration→Deployment→Mounting Offsets.
• You must be using the appropriate coordinate system for your current location. To choose your coordinate system, click Setup→Geo Projection.
Context
GeoTiff files contain georeferencing information and can be opened in third-party software, such as Google Earth Pro.
Procedure
1 Click Setup→Preferences.
2 Fill out the fields in the GeoTiff Auto Save section.
a To automatically save a GeoTiff file every set number of meters, select Distance and enter a value. To automatically save a GeoTiff file every set number of seconds, select Time and enter a value.
b To save a cropped GeoTiff image for mosaicking purposes, enter the percentage to crop.
3 Press F11 to enable or disable GeoTiff auto save. The status bar will display “GeoTiff” in green when auto save is enabled.
When GeoTiff autosave is enabled, GeoTiff files will be saved automatically and continuously based on travel distance or time.
Alternatively, press F10 to save a single GeoTiff file to your images folder. Your images will be saved under the folder “C:\KML\M3_V0254\Images” by default. You can change this save location through the Preferences dialog box.
Related topics
System Configuration dialog box - Sensors Setup page
System Configuration dialog box - Master Reference page
System Configuration dialog box - Mounting Offsets page
Geo Projection dialog box
Preferences dialog


5 Converting your recordings to video
As data files can only be opened by the M3 software, converting data files to video allows you to share them more easily with others.
Context
The Convert to Video Format dialog box allows you to convert an MMB or IMB file to a video file (MP4 format only).
Use this dialog box if you want to export a recording to a format that is playable by any media player. This function is useful if you wish to share recordings with others who do not have the M3 software installed on their computers, or if you wish to upload your recording to an online service.
Procedure
1 Click File→Convert To Video.
Observe that the Convert To Video Format dialog box opens.
2 Select the desired video conversion settings.
3 To convert a single data file, select the Source File button and use the browser window to select the file.
To batch convert all sonar recordings in a selected folder, select the Folder Conversion checkbox, then select the Source Folder button to select the folder in the browser window.
Note
If you select this option, you will not be able to change the name of the converted files. Auto Name will be selected under the Target file naming convention drop-down list and the other options will not be available.
4 Click the Convert button to start the conversion.
5 Wait until the progress bar is complete before viewing the videos.
If you are performing a batch conversion, an additional progress bar will appear at the bottom of the dialog box to show you how many files are being converted.
Related topics
Convert to Video Format dialog box


2 Restoring USB Driver Functionality in Windows 10
If you are using Windows 10, a new security feature may cause your system installation to fail, especially if you are using a USB port in your system. For example, a USB port is used to interface with a security key inserted into the USB port, or an Interface Unit connected via the USB port.
Context
In the original release of Windows 10, virtualization-based security (VBS) features were only available on Enterprise editions of Windows 10 (as part of “Device Guard”). However, starting with the April 2018 Update, Core Isolation brings some virtualization-based security features to all editions of Windows 10.
Enabling this feature causes conflicts for the installation of our USB drivers. To restore functionality, the Memory Integrity function needs to be set as disabled, as shown below.
Note
This issue only affects KML USB driver and SafeNet dongle driver installation. It does not affect software function.
Procedure
1 Select the Windows® search function, which you can usually find on the bottom Taskbar.
2 In the search box, type “Core Isolation”, and open the Windows Security dialog box.
3 If enabled, select the switch to disable Memory integrity.
4 Select [X] in the upper-right corner to close the dialog box.


5 Placing reference cursors
You can place one or two reference cursors as overlays on the sonar view. When you place two cursors, an additional overlay will appear with information about the cursors.
Context
The Reference Cursor buttons are used to mark points of interest and to determine the range and bearing of these points (relative to the Sonar Head).
These buttons are located on the tool bar.
Procedure
1 Click the Reference Cursor 1 button.
2 Move the mouse to where you want to place the cursor.
Tip
To make fine adjustments to the cursor position, drop a reference cursor into a Zoom window.
3 Click the left mouse button to place the cursor as an overlay in the sonar view.
The range and bearing of the cursor’s position — relative to the Sonar Head — is shown in the bottom-left corner of the view.
4 Click the Reference Cursor 2 button.
5 Move the mouse to where you want to place the cursor.
6 Click the left mouse button to place the cursor as an overlay in the sonar view.
The range and bearing of the cursor’s position — relative to the Sonar Head — is shown in the bottom-left corner of the view. “Delta” shows the range and bearing from cursor 1 to cursor 2.
Tip
To remove this overlay, click the Wiper button, then click the overlay.
Related topics
Reference cursors


3 Choosing the sonar range
The Range function allows you to specify the maximum theoretical vertical depth and horizontal distance covered by the M3 Sonar.
Context
The M3 Sonar Sonar Head can operate at different predefined near and far ranges. The range values you can select vary depending on the current frequency and selected sonar application.
The range value is defined from the Sonar Head.
Note
You cannot change the range until the Sonar Head is connected. Right-clicking in the sonar view and the range slider bar will both be disabled until the sonar is running.
Even though you can choose a high range value, that does not mean that you can detect your targets in the same range. The range value only defines the range shown in the views. Actual target detection will always depend on the operating environment, such as water temperature, salinity, interference and layers in the water column.
Procedure
1 Click Setup→Connect to start the Sonar Head.
2 Right-click inside the sonar view to display the range menu.
3 Select the desired near and far range from the menu.
Note
You can change the units of measurement in the Preferences dialog box.
4 You can increase or decrease the range using the range slider bar to the left of the sonar view.
Click the top arrows to increase or decrease the far range.
Note
To change the depth range settings in the 3D Point Cloud window, click Depth, uncheck the Adaptive Palette box, enter the top and bottom depth, then click Apply.
Result
The range is displayed with measured intervals in the sonar view. The current range will be updated when the Sonar Head is running.
Tip
Enabling Depth Tracking will automatically adjust the range according to the current depth when the head is running. To enable this feature, select the Depth Tracking checkbox in the Profiling Settings dialog box.


2 Configuring your preferences
You may wish to set up the system preferences to use measurement units appropriate to your location, or to choose a preferred save location for your recorded sonar data.
Context
The Preferences dialog box is used to set up system preferences such as units of measure, time format, etc. This dialog box also allows you to select the save location for screenshot images and recorded sonar data files.
Procedure
1 Click Setup→Preferences.
2 Choose the unit of measurement for all the readouts related to range and distances in the M3 Sonar system user interface.
3 Choose whether you would like to display the range and bearing or X and Y coordinates of your mouse cursor position.
4 Fill out the Overlay Text boxes if you wish to display information on your screenshots and data recordings.
5 Choose your desired File Saving settings.
6 Select Close to save the chosen settings and close the dialog box.
Related topics
Preferences dialog


1 Upgrading the Sonar Head
The Sonar Head has both software and firmware. You can upgrade these with the latest versions obtained from Kongsberg Discovery. You can also use this same procedure to downgrade software and firmware versions.
Prerequisites
If you are performing a full upgrade, you will need to write three files to the Sonar Head before power cycling the unit:
• The Sonar Head software file (.ASW)
• The Sonar Head transmit firmware file (.TXF)
• The Sonar Head receive firmware file (.RXF)
Contact us to obtain these files.
• support.vancouver@kd.kongsberg.com
Context
The Head Firmware Configuration dialog box allows you to upgrade the Sonar Head firmware. This dialog box is only available when the Sonar Head is connected and paused.
Procedure
1 Click Setup→Connect to start the Sonar Head.
2 Open the Head Firmware Configuration dialog box.
a Click the circular icon in the top-right corner of the sonar view to open the Menu Widget.
b Click Pause.
c Click Setup→Head Firmware Configuration.
Observe that the Head Firmware Configuration dialog box opens.
3 Take note of the current versions of software and firmware (Rx HW, Rx SW, Tx HW, and Tx SW).
The version numbers are listed in the Head Firmware Configuration dialog box.
4 Write the latest firmware and software to the Sonar Head.
a Select Head Application Software under Configuration type.
b Click the file folder icon under Configuration file to browse and select the .ASW file on your local drive.
Tip
Use the .ASW file with the same version as the .RXF file.
c Click Write.
Observe that a confirmation dialog box opens.
d Click Yes to start the upgrade.
Tip
If you click Cancel or Stop, the upgrade process will be aborted. The Sonar Head software and firmware will not be changed.
e Select RX FPGA Configuration (receive firmware) under Configuration type.
f Click the file folder icon under Configuration file to browse and select the .RXF file on your local drive.
g Click Write, then click Yes to start the upgrade.
Note
This file may take a few minutes to program.
h Select TX FPGA Configuration (transmit firmware) under Configuration type.
i Click the file folder icon under Configuration file to browse and select the .TXF file on your local drive.
j Click Write, then click Yes to start the upgrade.
Note
This file may take a few minutes to program.
k Close the Head Firmware Configuration dialog box.
5 Confirm the upgrade was successful.
a Click Setup→Disconnect.
b Disconnect the power to the Sonar Head, then power it up again.
c Wait ten seconds for the software to discover the Sonar Head.
d Click Setup→Connect to start the Sonar Head.
e Click Setup→Head Firmware Configuration.
Observe that the Head Firmware Configuration dialog box opens.
f Confirm that the software and firmware has been upgraded from the versions you took note of earlier.
Note
The receive hardware (RX HW) and software (RX SW) must both be on the same version. In other words, the application software (.ASW) and FPGA RX Firmware (.RXF) files being upgraded must have the same version numbers. The Sonar Head will make sure the versions are the same. If not, the version numbers shown in the Head Firmware Configuration dialog box will not be updated.
Related topics
Head Firmware Configuration dialog box


6 Testing operation of the Sonar Head
You can test the operation of the Sonar Head by confirming that sonar data is being correctly displayed in the Information Widget, sonar view, and 3D Point Cloud window. In addition, any errors will be displayed in the Output Messages or Head Status windows.
Prerequisites
The M3 software must be running.
Tip
Make sure there is sufficient disk space available to complete the survey.
Procedure
1 Click Setup→Connect to start the Sonar Head.
Make sure that a sonar image appears in the sonar view window.
2 Click the “i” icon in the top-left corner of the sonar view to open the Information Widget.
Make sure that the sensor data is updating in the Information Widget.
3 Select Profiling from the Sonar Apps menu.
Note
The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency.
4 If the profiling settings are not visible, click Display→Profiling Settings to open the Profiling Settings dialog box.
5 Check the Depth Tracking box to automatically adjust the range according to the current depth.
6 Make sure that data is displayed and being updated in the 3D Point Cloud window.
7 Make sure that no errors are displayed in the Output Messages window.
a Click Display→Output Messages Window.
b Make sure there are no errors shown in the Output Messages window under the Host Messages or Head Messages tab.
8 Make sure there are no errors in the Connection Status and Head Status windows.
a Click on the text “Active” located in the lower-right corner of the status bar.
Observe that the Connection Status window opens.
b Make sure that all items listed under the M3 Sonar show check marks.
If any items are shown with an “X” in a red circle, it usually means the device has failed to connect. Disconnect and make sure that no sensors have failed.
c Click on the top line in the Connection Status window.
Observe that the Head Status window opens.
d Make sure that all parameters in the list are shown with a check mark inside a green circle.
9 Make sure there is no acoustic or electrical interference in the sonar view.
A Make sure that no concentric rings appear. These rings could be caused by other acoustic devices or power-line noise. Rings with black gaps between them could also be due to excess Ethernet traffic when using a shared network.
B Make sure that there isn’t a bright radial line originating from the Sonar Head. This line could be caused by thruster noise. If the radial line appears with the Sonar Head out of water, it could indicate noise in the power line or a fault in the Sonar Head.
C Make sure that the bottom appears across the entire width of the sonar view. If the edges appear weak, and profile points are not detected at the edges, make sure there are no obstructions preventing the Sonar Head’s receive. (i.e. improperly installed guard ring or proximity to the vessel hull/keel).
Related topics
System Configuration dialog box - Sonar Setup page


10 Controlling the rotator
You can control your rotator(s) with the Rotator Control dialog box.
Prerequisites
• You must set up your rotator(s) by clicking Setup→System Configuration→Devices→Rotators Setup.
• If you have a single-axis rotator, choose the type of control you would like in the Rotator Test dialog box. On the Rotators Setup page, select your single-axis rotator in the Rotators table, click the Test Device button, then select either 3D Scan or Pan/Tilt Control from the Rotator Control Dialog Type drop-down list.
• If necessary, configure your rotator axis offsets relative to the sonar by clicking Setup→System Configuration→Deployment→Mounting Offsets.
• This dialog box will only appear if the sonar is running.
Context
If you have more than one rotator installed, then one dialog box for each rotator will appear.
The controls you see will depend on the type of rotator you have and which control type you have selected.
Single-axis rotator with Pan/Tilt controls:
Single-axis rotator with 3D Scan controls:
Dual-axes rotator:
Procedure
1 Click Setup→Connect to start the Sonar Head.
Observe that the Rotator Control dialog box opens.
2 Click Connect to enable the rotator controls or Disconnect to disable the rotator controls.
3 If you have a Kongsberg 806-00480000 rotator, click the Calibrate button.
4 If you are using Pan and Tilt controls, click the arrow buttons to move the Sonar Head.
If you have a single-axis rotator, the arrow buttons will either pan or tilt, depending on the orientation of the rotator installation.
Tip
Drag the slider to control the rotator speed.
5 If you are performing a 3D scan, then set up the scan sector before starting the scan.
Note
The green wedge in the dialog box graphic represents the sector to be scanned.
a Drag the Width slider to define the scan coverage.
b Drag the Center slider to define the centre of the scan coverage.
c Drag the Speed slider to set the rotator speed. Slower speeds will result in higher angular resolutions.
d Check the Record box to record data during the scan.
e Click Start Scan.
The rotator will move to one side of the sector, start the scan, then stop the scan at the other side of the sector.
Tip
To export the 3D scan into third-party software, ensure either Image and Profile or Profile Only is selected in the Profiling Settings dialog box. Click the circular icon in the top-right corner of the sonar view to open the Menu Widget. Click Export Data.
Related topics
Rotator Test dialog box
System Configuration dialog box - Mounting Offsets page
System Configuration dialog box - Rotators Setup page


2 Changing the Sonar Head IP Address
If you have a unique network environment (such as an IP Address conflict between two devices on your network), or you are installing a second Sonar Head, then you will need to change the IP Address of the Sonar Head.
Context
The Head Network Setup dialog box allows you to change the Sonar Head network parameters, such as the IP address. This dialog box is only available when the Sonar Head is connected and paused.
You can program the IP address and the IP port of the Sonar Head for various network environments. The factory default IP address is 192.168.1.234, and the default port number is 30.
Procedure
1 Set up the Sonar Head and M3 software.
a Connect the Sonar Head directly to the computer network card. Do not connect through an intermediary device, such as a network switch or router.
b Power up the Sonar Head.
c Double click the M3 icon on the desktop to run the M3 software.
d Click Setup→Connect to start the Sonar Head.
e Click the circular icon in the top-right corner of the sonar view to open the Menu Widget.
f Click Pause.
2 Write the new IP Address to the Sonar Head.
a Click Setup→Head Network Setup.
Observe that the Head Network Setup dialog box opens.
b Click Read from Head to refresh the fields in the Head Network Setup table.
c Enter the new IP Address in the table.
Tip
Avoid setting the third octet of the IP Address to a value of 100 or more, as you may experience periodic drops in traffic. We recommend leaving the third octet set to the default value (1). For example, xxx.xxx.1.xxx.
d Click Write to Head.
Observe that a confirmation dialog box opens.
e Click Yes to confirm.
Wait for the write operation to complete.
f Close the Head Network Setup dialog box.
3 Click Setup→Disconnect.
4 Apply the new IP Address to the Sonar Head.
a Power off the Sonar Head for three seconds, then power it back up.
b If necessary, change the computer’s network adapter address to place it on the same network as the Sonar Head.
c Click Setup→System Configuration→Devices→Sonar Setup.
d Click the Discover Sonar Heads button.
The Sonar Head with its updated IP Address should appear in the Online Sonar Heads table.
e Select the Sonar Head in the Online Sonar Heads table, then click the Use Discovered Head button.
f Close the System Configuration dialog box.
5 Click Setup→Connect to start the Sonar Head.
Related topics
Defining the IP address on the computer's network adapter
Head Network Setup dialog box


4 Converting your recording format
If you want to keep your recordings in .mmb format but process your data in .imb format, you can convert .mmb files to .imb files using a batch conversion utility.
Context
The M3 software records sonar data in two formats — raw element data (.mmb) or beamformed data (.imb).
If you wish to convert a selected clip of data, you can play back an .mmb file and record the clip as an .imb file. However, if you wish to batch convert many files, a conversion utility is provided with the M3 software.
Note
If files are recorded in .imb format, they cannot be converted to .mmb.
You can find the conversion utility in the folder C:\KML\M3_V0254\bin\M3Converter.exe.
Procedure
1 Select Recording File to convert a single .mmb recording.
Alternatively, select Recording Folder and Include Subdirectories to convert all your .mmb files.
2 Click the Browse button beside Source to select your .mmb file or folder.
3 Click the Browse button beside Destination to select where you want to save the converted files.
If you are saving a single recording, then you must give the file a name.
Tip
When converting the contents of a folder, the files will automatically be renamed. However, we recommend selecting different source and destination folders to avoid filename duplications.
4 Click Convert.
A dialog box will notify you when the file conversion is complete. Click OK to dismiss it.
Related topics
Recording Format


3 Playing back a recording
You can play back a previously recorded data file to view the sonar image sequence captured during operation of the Sonar Head.
Prerequisites
Open the Preferences dialog box to change the default save location, choose your own filename, and add overlay text.
Tip
When the M3 software isn’t running, double-click on a recording file to open the software and begin playback automatically.
Procedure
1 Click File→Playback.
A file browser dialog box opens to let you choose which file to play back.
2 Select the file you want to play back and click Open.
Playback will begin. The Playback Console will automatically open to offer you additional functionality.
3 Control playback using the Playback Console.
You can stop, pause, fast forward, or advance through the recording one ping at a time. You can also repeat playback of the file on a never-ending loop.
Tip
You can also apply filters to the playback, such as the Average or Edge Enhancement filters.
4 When you are done, click the Stop button on the Playback Console, then close the console.
Alternatively, click File→Stop Playback.
Related topics
Convert to Video Format dialog box
Playback Console


3 Installing the M3 software
If your system is provided with a Sonar Processor, the M3 software has already been installed. If you intend to use your own computer, you must install the software yourself. We recommended installing the latest M3 software on your Sonar Processor.
Prerequisites
• You can find the software on the Kongsberg USB drive included with the system, or you can contact your local dealer or distributor to have the latest software version installed.
• If you are installing a new software version, uninstall the previous version of the M3 software before proceeding.
Note
When running the M3 software for the first time, a Windows Firewall dialog box may appear. Allow access for all networks.
Procedure
1 Launch the installer M3_V0254 Setup.exe.
2 Follow the installation wizard’s instructions and select Standard Installation.
Note
Use the Dual-M3 on Same PC option only if you are using two M3 Sonars. Selecting this option will install two separate copies of the software, with each copy having its own settings. You can identify which copy you are using by observing the top header of the software presentation. The header will read either “M3 - Master Head” or “M3 - Slave Head”.
3 Use the default folder location and check Create a desktop icon, then click Next.
4 Click Yes to install the KML USB Converter when prompted and follow the instructions to finish the installation process.
5 Pin the M3 software icon to the Windows Taskbar.
a Right click on the M3 software icon.
b Click Pin to taskbar.
6 Test the M3 software startup.
a Double click the M3 icon on the desktop to run the M3 software.
b Confirm the software finishes launching without any error windows appearing.


1 Setting the Sonar Processor to High Performance
To avoid slowdowns or disruptions while running the sonar, ensure your Sonar Processor is using all of its processing power and does not go to sleep.
Prerequisites
This procedure is made for the Microsoft® 64-bit Windows 10 operating system.
Procedure
1 In the bottom-left corner of your desktop, select the Windows® Start button.
2 On the menu, select Settings.
Observe that the Settings window opens.
3 Select System.
4 In the menu on the left, select Power & sleep.
5 Make sure that the Sonar Processor will never go to sleep when plugged in.
a Click the Additional power settings link on the right side of the window.
Observe that the Power Options dialog box opens.
b In the menu on the left, select Create a power plan.
c Select the High performance radio button.
d Give your new custom plan a name, then click Next.
e Select Never for both Turn off the display and Put the computer to sleep when plugged in.
f Click Create.
Tip
Once you have created a custom plan, you can adjust some more advanced settings. You may, for example, wish to keep any secondary displays on when the laptop lid is closed. Click Change plan settings next to your custom plan. Click the Change advanced power settings link. Observe that the Power Options dialog box opens. Click the “+” to expand the submenus, then select the desired options from the drop-down lists. At the bottom of the dialog box, select Apply to save your settings.


9 Defining a custom sensor
You will find many supported sensor formats in the Protocol drop-down list found on the Sensors Setup page in the System Configuration dialog box. However, if a particular third-party sensor format is not listed there, you can create it (using the third-party sensor specification as your guide).
Context
The Define Custom Sensor dialog box allows you to import sensor strings from third-party sensors or ROV systems. The configuration wizard in this dialog box will guide you through the process.
This dialog box is opened from the Setup menu.
Procedure
1 Click Setup→Define Custom Sensor.
Observe that the Define Custom Sensor dialog box opens.
2 Enter in the Message ID.
The start (prefix) of the sensor sentence. Refer to the manufacturer's sensor specification to determine what to use. For example, “:” or “$GPRMC”.
3 Select one or more delimiters.
The character used to separate each string in the sentence. You can select more than one if necessary - each character will be treated as one delimiter. Refer to the manufacturer's sensor specification to determine what to use.
4 Select the correct termination character.
The ASCII character that tells the software where the sensor string ends. Options include a carriage return (CR), line feed (LF), or both. Refer to the manufacturer's sensor specification to determine what to use.
5 Enter in the sensor format.
For example: “: ALT DEP HDG ROL PIT” defines a sensor sentence with the Message ID “:” and five fields for Altitude, Depth, Heading, Roll, and Pitch separated by space delimiters.
a Enter the Message ID, followed by the chosen delimiter.
b Enter in one or more of the three-letter definition strings from the list on the right side of the dialog box.
Match each three-letter string with the data type in the sensor specification. For example, enter "ALT" for the part of the sensor sentence corresponding to Altitude, and so on.
c Separate each string with the chosen delimiters.
d If you can't find any part of the sensor sentence on the right-side list, then enter the "Ignored field" string (III).
This will tell the software to skip over this part of the sensor sentence when parsing the string.
6 Select Next to continue.
7 Provide specifications for each three-letter definition string you entered into the Sensor Format field.
a If applicable, select a data type.
If the data type in the sensor sentence is an integer (for example, 1002), then select Whole number. If the data type in the sensor sentence is a float (for example, 10.02), then select Decimal number. Refer to the manufacturer's sensor specification to determine what to use.
b If applicable, select a Latitude/Longitude Format.
Choose whether to display the latitude/longitude format in degrees, degrees and minutes, or degrees, minutes, and seconds.
c If necessary, enter in a unit scale factor.
The dialog box will tell you what unit scale the software expects (meters, degrees, meters per second, and so on). If the data type in the specification does not match the required unit scale, you must enter an appropriate scaling factor. For example, if the Depth data type is in feet, then you must enter 0.3048 to scale the depth value to meters.
8 Select Next to continue.
9 Enter in a unique name for your custom sensor.
This name will appear in the Protocol drop-down list found on the Sensors Setup page in the System Configuration dialog box.
10 Select Finish to close the wizard.
11 Set up the custom sensor in the software to start using it.
a Click Setup→System Configuration→Devices→Sensors Setup.
b Click Add Device.
c Give the sensor a name, then select the custom sensor from the Protocol drop-down list.
d Select the Deployment→Master Reference tab.
e Select the sensor that you set up earlier from the drop-down list beside the appropriate Master Reference parameter.
Tip
To change or remove the custom sensor, edit or delete the custom sensor XML file. You can find the custom sensor XML file in C:\KML\M3_V0254\BIN\DefinedSensors.
Related topics
Define Custom Sensor dialog box


1 Starting operation of the Sonar Head
To start operation of the M3 Sonar sonar, you may need to make sure that the Sonar Head has been discovered.
Prerequisites
• The M3 software must be running.
• The sound speed has been configured in
Setup→System Configuration→Deployment→Master Reference.
Procedure
1 Click Setup→Connect to start the Sonar Head.
Wait for “Sync OK” to appear on the status bar before collecting data. It takes two minutes to synchronize the Sonar Head clock.
Tip
By default, the M3 software uses the computer’s time to set the Sonar Head clock (Host mode). You can change the time synchronization settings by clicking Setup→System Configuration→Sonar Setup→Time Sync Mode.
2 If you see an error in the Output Messages window, make sure that the Sonar Head has been discovered.
a Click Setup→System Configuration→Devices→Sonar Setup.
b Click Discover Sonar Heads to search for the sonar on the network.
c If the Sonar Head is found, select it, then click Use Discovered Head.
A discovered Sonar Head appears in the Online Sonar Heads list. If the Sonar Head does not appear, the Ethernet connection between the Sonar Processor and Sonar Head has not been established.
d Click Close.
Related topics
Status bar
System Configuration dialog box - Sonar Setup page


8 Testing 1PPS Time Sync Mode
If you have an M3 Sonar Head with a 1PPS connector, you can synchronize the Sonar Head clock with an external 1PPS source. After you have enabled the 1PPS Time Sync Mode, you can make sure it is working by reading through the Output Messages log file.
Prerequisites
• The Sonar Head must be upgraded to the latest firmware version (version 1.5 or later).
• 1PPS synchronization requires ZDA input over UDP to the Sonar Head (not to the M3 software) on UDP port 31100 at 1Hz.
• The 1PPS signal must be sent to the Sonar Head using the 1PPS input on one of the following cables.
– 10-pin SEA CON® MINK-10-CCPL cable used with M3 Sonar model 922-20220000.
– 4-pin SEA CON® MIND-4-FCR cable used with M3 Sonar model 922-20050000.
Procedure
1 Click Setup→System Configuration→Devices→Sonar Setup.
2 In the Device Properties table, select 1PPS from the Time Sync Mode drop-down list.
3 Click Close.
4 Click Setup→Connect to start the Sonar Head.
5 Click Display→Output Messages Window.
Observe that the Output Messages window opens.
6 Select the Head Messages tab in the Output Messages window.
Alternatively, navigate to C:\KML\M3_V0254\LOGS. Open the latest HEAD log file in a text editor.
7 Read through the Output Messages log and look for errors.
Example
The following is an example of some 1PPS log entries, including an explanation of what each entry means.
• INF System Time 1518282830 s 653 ms 734 us
A response to host cmd for the sonar head’s current timestamp.
• INF 1PPS: 10 pulses received in 10s
The number of 1PPS pulses received in ten seconds. If you are seeing less than ten pulses received, then 1PPS is not working as expected.
• INF SNSUDP IP Addr 192.168.1.233:13685, len=39
INF $GPZDA,171355.432,10,02,2018,00,00*5F
The sensor data string received. The ZDA string will be displayed if valid, otherwise bytes of the received string will be displayed.
• INF PPS preLD
INF ZDA: 1518282835 2018/02/10/ 15:32:17.910
If valid ZDA data is being received, it will be displayed here in units of Epoch seconds GMT. This value will be rounded up to the next integer second and pre-loaded in an FPGA staging register. This register will reset the timestamp clock at the next 1PPS pulse.
• INF PPS 1518282835.999s 20000000
The timestamp latched at the 1PPS leading edge. This timestamp should be close to the most recent ZDA data received.
Related topics
Upgrading the Sonar Head
Interface specifications


4 Defining the IP address on the computer's network adapter
The communication between the Sonar Processor and the Sonar Head is made using a high-speed Ethernet cable. If a Sonar Processor is not configured to connect to the sonar, you must define which IP Address and Subnet mask the Ethernet adapter in the Sonar Processor shall use for this communication.
Prerequisites
This procedure is made for the Microsoft® 64-bit Windows 10 operating system. It is assumed that you are familiar with the Windows® operating systems, computer technology, and interface principles.
Context
As long as you do not change the Sonar Processor to another computer, or replace the serial adapter in your Sonar Processor, you will only need to do this once.
Procedure
1 On the computer, close the M3 software.
2 Open the Network Connections dialog box.
a In the bottom-left corner of your desktop, select the Windows® search function.
b In the search box, type "Network Connections", and open the Network Connections dialog box.
c Right-click the network adapter you are going to use and select Properties on the shortcut menu.
d On the list of connections, select Internet Protocol 4 (TCP/IPv4), and then Properties.
3 Select Use the following IP address, and type the IP address and network mask.
IP Address: 192.168.1.N ("N" can be any number from 1 to 254, except 234, which is the Sonar Head default.)
Subnet mask: 255.255.255.0
You can leave Default Gateway blank.
4 Select OK to save the settings, then close all the dialog boxes.


7 Adjusting the TVG (Time Variable Gain) setting
You can adjust the time variable gain for each sonar application in the TVG Setup dialog box.
Context
TVG (Time Variable Gain) compensates for the loss of acoustic energy due to geometric spreading and absorption.
Procedure
1 Click Setup→Connect to start the Sonar Head.
2 Select the sonar application you wish to configure from the Sonar applications list on the top bar.
Note
Each sonar application has its own TVG profile.
3 Click the TVG button.
This button is located on the tool bar.
4 Drag the sliders to adjust the A, B, C, and L Factors.
Click the arrow buttons to make small adjustments.
5 Click Apply to save the settings.
Note
If you are using a high-frequency M3 Sonar, the TVG profiles will not be saved when closing the software — default values will apply when switching to a new frequency or when starting up the M3 software.
Related topics
TVG Setup dialog box


7 Testing the Sonar Head telemetry
You can run a telemetry test to make sure the link between the Sonar Head and the M3 software is working correctly.
Prerequisites
• For this test you will need the Sonar Head connected to the Sonar Processor and powered on.
• The M3 software must be running.
• This procedure is made for the Microsoft® 64-bit Windows 10 operating system. It is assumed that you are familiar with the Windows® operating systems, computer technology, and interface principles.
Context
This procedure explains how to measure the available bandwidth on a 100Base-TX (100 Mbps) Ethernet link. The same procedure can be used for 10BaseT and 1000BaseT links by selecting the appropriate sonar application and adjusting the Ethernet adapter settings to the corresponding link speed.
Note
There are no standard sonar applications with a telemetry-link speed requirement higher than 100 Mbps.
The ping rate is normally taken from the sonar application or range setting. If the estimated available bandwidth is less than the bandwidth required by the sonar application/range, the M3 software reduces the ping rate to compensate.
Note
The update rate is the number of times the sonar view is updated per second. The displayed ping rate may be different from the update rate because the system might be impacted by other processes.
The Override Network Link Speed function allows you to use the telemetry bandwidth value (in Mbps) entered into the box instead of the default speed. If the applied override telemetry bandwidth is less than the telemetry bandwidth required by the sonar application/range, the ping rate is reduced.
Procedure
1 Click Setup→Connect to start the Sonar Head.
2 Add the Ethernet Test application to your list of favourite applications.
a Open the Sonar Apps menu on the top bar, then select Customize Apps.
b Double click on Ethernet Test - 100Mbps shown under Other Apps.
c Click OK.
3 Open the Sonar Apps menu on the top bar, then select Ethernet Test - 100Mbps.
4 Click Setup→Connect to start the Sonar Head.
5 Open the Task Manager and find your Local Area Connection.
a Press the <CTRL> + <ALT> + <DEL> keys.
b Click Task Manager.
c Click on the Performance tab.
d Click on the Ethernet connection for the Sonar Head.
6 Make sure the activity on your local network is as expected.
a Allow the system to run for a few minutes to plot the Throughput graph.
b Observe the graph to determine the average network link speed.
An average link speed of at least 80 Mbps is required by most sonar applications (some applications and range scales will use less). A link speed of less than 80 Mbps may result in a slower than expected ping rate.
c Right-click in the Throughput graph and select View network details.
Observe that the Network Details window opens.
d Confirm that the Network utilization is at least 80%.
Note
If the Network utilization is less than 80%, disconnect the sonar, close all other programs, then reconnect the sonar. In general, make sure that your network environment supports the required link speed.
e In the M3 software, look for any messages in the Output Messages window.
Make sure there are no lost packets.
Tip
The contents of the Output Messages window are also saved to a file in the folder C:\KML\M3_V0254\LOGS.
f If you see missing pings, try reduce the value in the Override Network Link Speed box to improve the performance.


2 Turning off the M3 Sonar system
The M3 Sonar is not provided with an on/off switch.
Context
When you do not use the M3 Sonar system, turn it off.
Procedure
1 If you are running the sonar, click Setup→Disconnect in the M3 software.
2 Switch off the Sonar Processor.
a Close the M3 software and any third-party software.
b Shut down Windows.
3 Disconnect the power cord leading to the power supply.
Alternatively, switch off the breaker supplying power to the M3 Sonar.
4 Switch off any additional items, such as a sound velocity profiler or display.
If required, refer to the instructions provided by the product’s manufacturer.


6 Placing target markers
The Target Marker function is primarily used for remotely operated vehicle (ROV) navigation. Third-party ROV software can use the time and location information to steer the ROV toward the target.
Context
You can press 0–9 to place a marker in the sonar view that is stamped with time and location information. In addition, you can export this information to a serial or UDP port.
Procedure
1 To start using target markers, click Display→Enable Target Marker.
Observe that the Target Marker Export dialog box opens.
2 Choose a serial port from the drop-down list.
Note
The default serial settings cannot be altered.
3 Click OK to enable serial port export.
Alternatively, click Cancel to use the Target Marker function without exporting to a serial port.
UDP export is always available, whether you enable serial port export or not.
4 Move the mouse cursor to the location in the sonar view where you wish to place a marker.
5 Press any number key from 0 to 9 on your keyboard to place a marker.
Note
Target markers cannot be moved once they are placed.
6 To remove all target markers from the sonar view, click Display→Delete All Markers.
Alternatively, use the wiper located on the tool bar to remove individual markers.
Related topics
Target Marker Export dialog box


1 Saving and retrieving images
With one click, you can capture an image of the sonar view — either with overlays or without overlays.
Prerequisites
Open the Preferences dialog box to change the default save location, choose your own filename, and add overlay text.
Procedure
1 Click the Save image with overlay button.
If you want to save the sonar view without overlays, click the Save image without overlay button instead.
These buttons are located on the tool bar.
Note
A “Save As” dialog box will appear if you have checked the Prompt User for Filename box in the Preferences dialog box.
2 Retrieve your images and view them.
a On the Windows Taskbar, click the File Explorer shortcut.
Alternatively, press Win + E to open the File Explorer.
b Click This PC.
c Navigate to C:\KML\M3_V0254\Images.
Alternatively, navigate to where you saved your images earlier.
d Open the images with your preferred image viewer..


2 Recording sonar data
You can record a sonar data sequence and save it in a time-stamped digital format. You can also re-record data during playback to capture a smaller clip of the data set.
Prerequisites
• Open the Preferences dialog box to change the default save location, choose your own filename, and add overlay text.
• Click File→Recording Format to choose between recording raw sonar data (to a “.mmb” file) or recording beamformed sonar data (to a “.imb” file).
Context
Running the sonar and recording simultaneously (real-time recording) requires significant processing power, especially if trying to save beamformed data (an “.imb” file).
For real-time recording, we recommend using the “.mmb” recording format.
If you prefer an “.imb” file, we recommend either using the Convert to Video Format dialog box to convert the file from “.mmb” to “.imb”, or re-recording the data during playback instead of real-time recording.
Procedure
1 Click the circular icon in the top-right corner of the sonar view to open the Menu Widget.
2 Click Record Data or press F4 to start recording.
When recording is in progress, a flashing recording icon will appear in the top-right corner of the sonar view. The recording filename will also appear here. Observe the percentage of disk space free for recording on the far right of status bar.
Note
A “Save As” dialog box will appear if you have checked the Prompt User for Filename box in the Preferences dialog box.
3 Click Stop Recording or press F4 when you are done.
Your recording will be saved under the folder “C:\KML\M3_V0254\Recordings” by default. You can change this save location in the Preferences dialog box.
Related topics
Recording Format


3 Defining an area
You can use the string measure tool to define an area. The size and perimeter of the area will be calculated for you.
Context
Defines and measures perimeters and areas. Allows you to place an area overlay on the sonar view.
Procedure
1 Click the String Measure button.
This button is located on the tool bar.
2 Click anywhere in the sonar view to start a point.
3 Move to the second point, then click again.
4 Click as many times as necessary to create the required area.
5 Double-click on the last point to finish.
The area will automatically be closed, and a rectangular label will appear providing information about the area and perimeter.
6 Move the label to a position on the screen where it is most legible, then click the left mouse button to place it.
Tip
To remove this overlay, click the Wiper button, then click the overlay.
Related topics
String Measure


6 Applying filters
You can apply an averaging, background removal, or an edge enhancement filter to the sonar view.
Context
These buttons are located on the tool bar.
Procedure
1 Click one of the filter buttons.
Observe the changes in the sonar view.
2 Increase or decrease the filter effect.
a Click the Display Widget icon.
This icon is located in the lower-right corner of the sonar view.
b Drag the Filter slider to adjust the strength of the filter.
3 Click the No Filter button to turn off all filters.
Related topics
Filters


1 Measuring distances
You can use the tape measure tool to draw a line in the sonar view and measure the distance between two points.
Context
Measures distances on the sonar view. Also allows you to place a measurement overlay on the sonar view.
Procedure
1 Click the Tape Measure button.
This button is located on the tool bar.
2 Click and hold the left mouse button on your first target, then drag the mouse to your second target.
The length and bearing between the targets is displayed dynamically.
Note
The measurement line will not remain on the display when you release the mouse button.
3 To keep the measurement line on the display, place a measurement overlay.
a Click and hold the right mouse button on your first target.
b Drag the mouse to your second target and release the mouse button.
c Move the mouse to a place on the screen where you would like to place the overlay length and bearing label.
Note
Once the measurement overlay is placed, you can use the default arrow cursor to drag the length and bearing label to a position on the screen where it is more legible.
d Click the left mouse button to place the overlay.
Tip
To remove this overlay, click the Wiper button, then click the overlay.
Related topics
Tape Measure


2 Measuring angles
You can use the protractor to measure the angle between two lines, then place the resulting overlay in the sonar view.
Context
The protractor tool measures the angle between a baseline and a second line that intersects the baseline.
Procedure
1 Click the Protractor button.
This button is located on the tool bar.
2 In the sonar view, click the point where you want to start the baseline.
3 Click the point where you want to end the baseline.
The second line will appear.
4 Lock one end of the second line to the baseline.
a Choose where you want the second line to intersect the baseline by moving the mouse along the length of the baseline.
b When ready, click the left mouse button.
5 Choose where you want the second line to end.
a Move the mouse to any point on either side of the baseline to adjust both the length and angle of the second line.
b Click the left mouse button to place the overlay.
Tip
To remove this overlay, click the Wiper button, then click the overlay.
Related topics
Protractor


Document information
• Product: Kongsberg M3 Sonar
• Document: Reference Manual
• Document number: 922-10017001
• Revision: 1.9
• Date of issue: 19 April 2024
Copyright
The information contained in this document remains the sole property of Kongsberg Discovery Canada Limited. No part of this document may be copied or reproduced in any form or by any means, and the information contained within it is not to be communicated to a third party, without the prior written consent of Kongsberg Discovery Canada Limited.
Warning
The equipment to which this manual applies must only be used for the purpose for which it was designed. Improper use or maintenance may cause damage to the equipment and/or injury to personnel. You must be familiar with the contents of the appropriate manuals before attempting to operate or work on the equipment.
Kongsberg Discovery disclaims any responsibility for damage or injury caused by improper installation, use or maintenance of the equipment.
Disclaimer
Kongsberg Discovery Canada Limited endeavours to ensure that all information in this document is correct and fairly stated, but does not accept liability for any errors or omissions.
Support information
If you require maintenance or repair, contact your local dealer. You can contact us by phone at +1 604 464 8144, or by email at: support.vancouver@kd.kongsberg.com. If you need information about our other products, visit https://www.kongsberg.com/discovery/. On our website you will also find a list of our dealers and distributors.


4 Choosing a sonar application
Choosing an appropriate sonar application can improve the quality of your data. As the M3 Sonar has both imaging an profiling capabilities, you will also need to choose either a Profiling, or an Imaging application.
Context
Note
You cannot select a sonar application until the Sonar Head is connected. All Sonar Applications menu items will be greyed out until the sonar is running.
The selection of sonar applications presented in the Sonar Applications menu depends on the current Sonar Head frequency.
The Sonar Applications menu lists various operating modes used for different applications. Each mode has its own pre-defined characteristics, such as differing ranges, angular resolutions, and pulse types.
If you don’t see the sonar application that you need in the menu, you may need to add it to the list. You can configure which applications will appear by opening the Customize Apps dialog box, which is the last item in this list.
Tip
Each sonar application has its own TVG profile. Before changing the TVG settings, select the sonar application you want to configure from the Sonar applications list. Click the TVG button. This button is located on the tool bar.
Procedure
1 Click Setup→Connect to start the Sonar Head.
2 Select Sonar Apps from the menu on the top bar.
3 Select an appropriate sonar application from the list.
a If you wish to gather imaging data, select an imaging sonar application from the list.
We recommend a maximum vessel speed of five knots for imaging applications.
Tip
For high-quality images at a short range, use one of the EIQ modes (500-kHz transducer only) or Imaging Enhanced (available on frequencies from 700-kHz to 1400-kHz). We recommend a maximum vessel speed of two knots for EIQ mode and 0.5 knots for EIQ - Fine mode.
b If you wish to gather profiling data, select a profiling sonar application from the list.
Use this sonar application for the automated point extraction of the sea bottom or structures to create a real-time 3D Point Cloud.
c Select one of the test apps to troubleshoot performance issues.
Related topics
Sonar Applications menu


4 Placing text labels
The text label tool allows you to place comments on the screen.
Prerequisites
Text labels will not appear on sonar data recordings. To place a text overlay on a recording, click Setup→Preferences and fill out the Overlay Text boxes.
Procedure
1 Click the Text Label button.
This button is located on the tool bar.
2 In the sonar view, click the area of interest that you want to label.
3 Click and hold the left mouse button on the label overlay and drag it to a place on the screen where the text is legible.
4 Label the area of interest.
a Double-click on the label overlay to open an Edit Text Box dialog box.
b Enter the desired text into the dialog box.
c Click OK when done.
5 If the text you entered does not fit within the text label overlay, you can resize the label by clicking on the label border, then dragging it to create a larger label.
Tip
To remove this overlay, click the Wiper button, then click the overlay.
Related topics
Text Label


5 Adjusting the sonar view
All echo information offered by the M3 Sonar is shown in the sonar view.
Context
The Display Widget allows you to adjust the filter strength, change the display gain, and choose your echo colours. You can drag sliders with the mouse to increase or decrease parameter values. For fine adjustments, use the mouse scroll wheel to move the slider by one increment.
Note
If you have a high-frequency M3 Sonar transducer, you can change the frequency using the Display Widget.
The Display menu allows you to configure a number of options in the sonar view, including making the sonar view full screen and adjusting the annotations, palette, or sector orientation. Functions to improve image quality, such as a speckle filter and automatic sidelobe reduction, are also available in the Display menu.
Tip
You can change the physical size of the sonar view by clicking on the left view border, then dragging it to create a smaller or larger window. You can also make the sonar view full screen by clicking Display→Full Screen or by clicking the Show Full Screen button in the tool bar.
Procedure
1 Use the Display Widget to adjust the sonar view according to your preferences.
a Click the Display Widget icon.
This icon is located in the lower-right corner of the sonar view.
b If you have a high-frequency transducer, click one of the buttons to select a frequency (in kHz).
The frequency buttons will not appear if you are using a 500 kHz transducer.
c To adjust the strength of an enabled filter in the sonar view (such as Average Filter or Edge Enhancement), drag the Filter slider to increase or decrease the filter effect.
Note
The Filter slider will not appear if no filters are enabled. Note that filter settings will not be saved when the software is closed.
d To adjust the display gain manually, check the box and drag the Gain slider to increase or decrease the gain.
Display Gain controls the "amount" of echo that is displayed, in other words the "strength" or "intensity" of the echo presentation. Uncheck the box if you want the software to adjust the gain automatically.
Note
Adjusting the display gain manually will disable the Sidelobe Reduction function (found in the Display menu).
e Drag the Contrast slider to increase or decrease the sonar view display contrast.
f To choose your echo colours, right-click on the Palette bar to cycle through the colour scale options.
Which colour scale to use is mainly a personal preference based on ambient light conditions, the nature of the echoes and your own experience.
g Click the Display Widget icon to hide the widget.
2 Use the Display menu to control the visual aspects of the system, and to show or hide various elements in the presentation.
a Click Full Screen to make the sonar view full screen.
Press the Esc key to exit full-screen mode.
b Click Annotations to enable or disable the bearing and range annotations in the sonar view.
c Select Font Size to increase or decrease the size of the annotations in the sonar view.
d Select Palette to choose your preferred echo colours. Which colour scale to use is mainly a personal preference based on ambient light conditions, the nature of the echoes and your own experience.
e Select Sector Orientation to choose a different angle of orientation for the sonar view. Enter an angle (in degrees) into the Orientation dialog box, then click Apply to rotate the sonar view to your chosen angle.
f If your Sonar Head is forward looking, click Heading Overlay to enable or disable this feature. When this feature is enabled, the degree annotations in the sonar view will change to reflect the current sonar heading.
g Click Speckle Filter to enable or disable this function. This filter reduces noise (the grainy “salt-and-pepper” pattern) in uniform areas of the sonar view. Distinguishable details in features and targets will be retained.
h Click Sidelobe Reduction to enable or disable automatic sidelobe reduction. This function improves overall image quality by reducing the sidelobes of strong targets.
Tip
To change the colour scale of the 3D Point Cloud, click Depth, check the Adaptive Palette box, then click Apply.


1 Turning on the M3 Sonar system
To use the M3 Sonar system, you must turn it on. You must first turn on the display and the computer. After this you can start the M3 software.
Prerequisites
• The system units have all been installed according to the instructions provided.
• All cable connections have been made and checked.
• All system units have been inspected.
Context
The program is not automatically started when the computer is turned on. On the Sonar Processor desktop, double-click the M3 Sonar icon to start the software.
Note
The M3 Sonar is not provided with an on/off switch.
Procedure
1 Power up the Sonar Head using the power supply.
Note
It may take up to 60 seconds for the M3 software to connect to the Sonar Head once the power is applied.
2 Turn on the computer.
Wait while the operating system loads.
3 Log in to Windows.
4 On the Sonar Processor desktop, double-click the M3 Sonar icon to start the software.
5 Once the program has started, observe that the display presentation fills the entire screen.
The software starts up using many of the same settings as the last time you used it. If these settings are acceptable, continue operation. If you wish to alter any of the settings, see the relevant procedures.
6 Click Setup→Connect to start the Sonar Head.
The sonar will start pinging automatically once the connection is complete. Observe that the text “Active” appears in the lower-right corner of the status bar.